-- 263 systems ranked by popularity, May 2015 --
-- Source : http://db-engines.com/en/ranking  --

createOrReplaceDB DBMS.db;

create table DBMS(
   ID    integer not null primary key autoincrement,
   Rank  integer,
   DBMS  varchar(32),
   Model varchar(32),
   Score decimal(8,2));

insert into DBMS(Rank,DBMS,Model,Score) values(1,'Oracle','Relational DBMS',1442.10);
insert into DBMS(Rank,DBMS,Model,Score) values(2,'MySQL','Relational DBMS',1294.26);
insert into DBMS(Rank,DBMS,Model,Score) values(3,'Microsoft SQL Server','Relational DBMS',1131.03);
insert into DBMS(Rank,DBMS,Model,Score) values(4,'MongoDB ','Document store',277.32);
insert into DBMS(Rank,DBMS,Model,Score) values(5,'PostgreSQL','Relational DBMS',273.52);
insert into DBMS(Rank,DBMS,Model,Score) values(6,'DB2','Relational DBMS',201.04);
insert into DBMS(Rank,DBMS,Model,Score) values(7,'Microsoft Access','Relational DBMS',145.58);
insert into DBMS(Rank,DBMS,Model,Score) values(8,'Cassandra ','Wide column store',106.55);
insert into DBMS(Rank,DBMS,Model,Score) values(9,'SQLite','Relational DBMS',105.16);
insert into DBMS(Rank,DBMS,Model,Score) values(10,'Redis','Key-value store',94.73);
insert into DBMS(Rank,DBMS,Model,Score) values(11,'SAP Adaptive Server','Relational DBMS',85.49);
insert into DBMS(Rank,DBMS,Model,Score) values(12,'Solr','Search engine',82.93);
insert into DBMS(Rank,DBMS,Model,Score) values(13,'Teradata','Relational DBMS',70.13);
insert into DBMS(Rank,DBMS,Model,Score) values(14,'Elasticsearch','Search engine',64.83);
insert into DBMS(Rank,DBMS,Model,Score) values(15,'HBase','Wide column store',61.70);
insert into DBMS(Rank,DBMS,Model,Score) values(16,'FileMaker','Relational DBMS',52.90);
insert into DBMS(Rank,DBMS,Model,Score) values(17,'Hive','Relational DBMS',44.56);
insert into DBMS(Rank,DBMS,Model,Score) values(18,'Splunk','Search engine',40.72);
insert into DBMS(Rank,DBMS,Model,Score) values(19,'Informix','Relational DBMS',36.74);
insert into DBMS(Rank,DBMS,Model,Score) values(20,'Memcached','Key-value store',33.11);
insert into DBMS(Rank,DBMS,Model,Score) values(21,'SAP HANA','Relational DBMS',32.78);
insert into DBMS(Rank,DBMS,Model,Score) values(22,'Neo4j ','Graph DBMS',28.64);
insert into DBMS(Rank,DBMS,Model,Score) values(23,'CouchDB','Document store',27.16);
insert into DBMS(Rank,DBMS,Model,Score) values(24,'Couchbase','Document store',25.24);
insert into DBMS(Rank,DBMS,Model,Score) values(25,'MariaDB','Relational DBMS',23.60);
insert into DBMS(Rank,DBMS,Model,Score) values(26,'Firebird','Relational DBMS',21.82);
insert into DBMS(Rank,DBMS,Model,Score) values(27,'Netezza','Relational DBMS',18.12);
insert into DBMS(Rank,DBMS,Model,Score) values(28,'Microsoft Azure SQL Database','Relational DBMS',15.73);
insert into DBMS(Rank,DBMS,Model,Score) values(29,'Vertica','Relational DBMS',15.01);
insert into DBMS(Rank,DBMS,Model,Score) values(30,'Amazon DynamoDB','Multi-model ',14.87);
insert into DBMS(Rank,DBMS,Model,Score) values(31,'Riak','Key-value store',12.89);
insert into DBMS(Rank,DBMS,Model,Score) values(32,'dBASE','Relational DBMS',10.43);
insert into DBMS(Rank,DBMS,Model,Score) values(33,'Ingres','Relational DBMS',10.24);
insert into DBMS(Rank,DBMS,Model,Score) values(34,'MarkLogic','Multi-model ',9.90);
insert into DBMS(Rank,DBMS,Model,Score) values(35,'Sphinx','Search engine',9.80);
insert into DBMS(Rank,DBMS,Model,Score) values(36,'Greenplum','Relational DBMS',8.58);
insert into DBMS(Rank,DBMS,Model,Score) values(37,'Endeca','Search engine',8.53);
insert into DBMS(Rank,DBMS,Model,Score) values(38,'Ehcache','Key-value store',7.92);
insert into DBMS(Rank,DBMS,Model,Score) values(39,'RavenDB','Document store',6.46);
insert into DBMS(Rank,DBMS,Model,Score) values(40,'Hazelcast','Key-value store',5.82);
insert into DBMS(Rank,DBMS,Model,Score) values(41,'SAP SQL Anywhere','Relational DBMS',5.39);
insert into DBMS(Rank,DBMS,Model,Score) values(42,'Amazon Redshift','Relational DBMS',5.37);
insert into DBMS(Rank,DBMS,Model,Score) values(43,'Interbase','Relational DBMS',5.30);
insert into DBMS(Rank,DBMS,Model,Score) values(44,'SAP IQ','Relational DBMS',5.22);
insert into DBMS(Rank,DBMS,Model,Score) values(45,'Adabas','Multivalue DBMS',4.67);
insert into DBMS(Rank,DBMS,Model,Score) values(46,'Impala','Relational DBMS',4.60);
insert into DBMS(Rank,DBMS,Model,Score) values(47,'HyperSQL','Relational DBMS',4.60);
insert into DBMS(Rank,DBMS,Model,Score) values(48,'mSQL','Relational DBMS',4.43);
insert into DBMS(Rank,DBMS,Model,Score) values(49,'Jackrabbit','Content store',4.07);
insert into DBMS(Rank,DBMS,Model,Score) values(50,'Derby','Relational DBMS',4.04);
insert into DBMS(Rank,DBMS,Model,Score) values(51,'OrientDB','Multi-model ',3.99);
insert into DBMS(Rank,DBMS,Model,Score) values(52,'H2','Relational DBMS',3.93);
insert into DBMS(Rank,DBMS,Model,Score) values(53,'GemFire','Document store',3.91);
insert into DBMS(Rank,DBMS,Model,Score) values(54,'Google BigQuery','Relational DBMS',3.89);
insert into DBMS(Rank,DBMS,Model,Score) values(55,'Cloudant','Document store',3.83);
insert into DBMS(Rank,DBMS,Model,Score) values(56,'Google Search Appliance','Search engine',3.70);
insert into DBMS(Rank,DBMS,Model,Score) values(57,'Berkeley DB','Key-value store',3.60);
insert into DBMS(Rank,DBMS,Model,Score) values(58,'Titan','Graph DBMS',3.51);
insert into DBMS(Rank,DBMS,Model,Score) values(59,'MaxDB','Relational DBMS',3.35);
insert into DBMS(Rank,DBMS,Model,Score) values(60,'Oracle Coherence','Key-value store',3.30);
insert into DBMS(Rank,DBMS,Model,Score) values(61,'Accumulo','Wide column store',3.07);
insert into DBMS(Rank,DBMS,Model,Score) values(62,'UniData,UniVerse','Multivalue DBMS',3.07);
insert into DBMS(Rank,DBMS,Model,Score) values(63,'Virtuoso','Multi-model ',3.06);
insert into DBMS(Rank,DBMS,Model,Score) values(64,'Amazon SimpleDB','Key-value store',2.96);
insert into DBMS(Rank,DBMS,Model,Score) values(65,'SAP Advantage Database Server','Relational DBMS',2.70);
insert into DBMS(Rank,DBMS,Model,Score) values(66,'TimesTen','Relational DBMS',2.69);
insert into DBMS(Rank,DBMS,Model,Score) values(67,'Aerospike ','Key-value store',2.42);
insert into DBMS(Rank,DBMS,Model,Score) values(68,'Cach','Object oriented DBMS',2.38);
insert into DBMS(Rank,DBMS,Model,Score) values(69,'OpenEdge','Relational DBMS',2.17);
insert into DBMS(Rank,DBMS,Model,Score) values(70,'Oracle NoSQL','Key-value store',2.13);
insert into DBMS(Rank,DBMS,Model,Score) values(71,'Db4o','Object oriented DBMS',2.08);
insert into DBMS(Rank,DBMS,Model,Score) values(72,'RethinkDB','Document store',2.05);
insert into DBMS(Rank,DBMS,Model,Score) values(73,'Infinispan','Key-value store',1.96);
insert into DBMS(Rank,DBMS,Model,Score) values(74,'Teradata Aster','Relational DBMS',1.82);
insert into DBMS(Rank,DBMS,Model,Score) values(75,'EnterpriseDB','Relational DBMS',1.77);
insert into DBMS(Rank,DBMS,Model,Score) values(76,'Amazon CloudSearch','Search engine',1.73);
insert into DBMS(Rank,DBMS,Model,Score) values(77,'Datameer','Document store',1.68);
insert into DBMS(Rank,DBMS,Model,Score) values(78,'Versant Object Database','Object oriented DBMS',1.58);
insert into DBMS(Rank,DBMS,Model,Score) values(79,'Drizzle','Relational DBMS',1.54);
insert into DBMS(Rank,DBMS,Model,Score) values(80,'InfluxDB','Event Store',1.53);
insert into DBMS(Rank,DBMS,Model,Score) values(81,'IMS','Navigational DBMS',1.51);
insert into DBMS(Rank,DBMS,Model,Score) values(82,'Jena','RDF store',1.49);
insert into DBMS(Rank,DBMS,Model,Score) values(83,'LevelDB','Key-value store',1.47);
insert into DBMS(Rank,DBMS,Model,Score) values(84,'Datomic','Document store',1.46);
insert into DBMS(Rank,DBMS,Model,Score) values(85,'Sesame','RDF store',1.45);
insert into DBMS(Rank,DBMS,Model,Score) values(86,'VoltDB','Relational DBMS',1.44);
insert into DBMS(Rank,DBMS,Model,Score) values(87,'Percona Server','Relational DBMS',1.41);
insert into DBMS(Rank,DBMS,Model,Score) values(88,'IDMS','Navigational DBMS',1.37);
insert into DBMS(Rank,DBMS,Model,Score) values(89,'ParAccel','Relational DBMS',1.32);
insert into DBMS(Rank,DBMS,Model,Score) values(90,'Infobright','Relational DBMS',1.28);
insert into DBMS(Rank,DBMS,Model,Score) values(91,'SQLBase','Relational DBMS',1.24);
insert into DBMS(Rank,DBMS,Model,Score) values(92,'D3','Multivalue DBMS',1.23);
insert into DBMS(Rank,DBMS,Model,Score) values(93,'Oracle Rdb','Relational DBMS',1.16);
insert into DBMS(Rank,DBMS,Model,Score) values(94,'FoundationDB ','Multi-model ',1.13);
insert into DBMS(Rank,DBMS,Model,Score) values(95,'ArangoDB ','Multi-model ',1.10);
insert into DBMS(Rank,DBMS,Model,Score) values(96,'ObjectStore','Object oriented DBMS',1.10);
insert into DBMS(Rank,DBMS,Model,Score) values(97,'MemSQL','Relational DBMS',1.05);
insert into DBMS(Rank,DBMS,Model,Score) values(98,'Sedna','Native XML DBMS',1.02);
insert into DBMS(Rank,DBMS,Model,Score) values(99,'MonetDB ','Relational DBMS',1.00);
insert into DBMS(Rank,DBMS,Model,Score) values(100,'jBASE','Multivalue DBMS',0.98);
insert into DBMS(Rank,DBMS,Model,Score) values(101,'Mnesia','Document store',0.98);
insert into DBMS(Rank,DBMS,Model,Score) values(102,'Microsoft Azure DocumentDB','Document store',0.96);
insert into DBMS(Rank,DBMS,Model,Score) values(103,'DataEase','Relational DBMS',0.96);
insert into DBMS(Rank,DBMS,Model,Score) values(104,'Empress','Relational DBMS',0.96);
insert into DBMS(Rank,DBMS,Model,Score) values(105,'NuoDB ','Relational DBMS',0.96);
insert into DBMS(Rank,DBMS,Model,Score) values(106,'Red Brick','Relational DBMS',0.94);
insert into DBMS(Rank,DBMS,Model,Score) values(107,'PouchDB','Document store',0.89);
insert into DBMS(Rank,DBMS,Model,Score) values(108,'Amazon Aurora','Relational DBMS',0.88);
insert into DBMS(Rank,DBMS,Model,Score) values(109,'Kdb+','Relational DBMS',0.87);
insert into DBMS(Rank,DBMS,Model,Score) values(110,'BaseX','Native XML DBMS',0.86);
insert into DBMS(Rank,DBMS,Model,Score) values(111,'GridGain','Key-value store',0.85);
insert into DBMS(Rank,DBMS,Model,Score) values(112,'Apache Drill','Relational DBMS',0.84);
insert into DBMS(Rank,DBMS,Model,Score) values(113,'Altibase','Relational DBMS',0.83);
insert into DBMS(Rank,DBMS,Model,Score) values(114,'Google Cloud Datastore','Document store',0.82);
insert into DBMS(Rank,DBMS,Model,Score) values(115,'NonStop SQL','Relational DBMS',0.81);
insert into DBMS(Rank,DBMS,Model,Score) values(116,'R:BASE','Relational DBMS',0.81);
insert into DBMS(Rank,DBMS,Model,Score) values(117,'AllegroGraph ','RDF store',0.78);
insert into DBMS(Rank,DBMS,Model,Score) values(118,'Giraph','Graph DBMS',0.78);
insert into DBMS(Rank,DBMS,Model,Score) values(119,'Model 204','Multivalue DBMS',0.77);
insert into DBMS(Rank,DBMS,Model,Score) values(120,'Datacom/DB','Relational DBMS',0.75);
insert into DBMS(Rank,DBMS,Model,Score) values(121,'Microsoft Azure Search','Search engine',0.74);
insert into DBMS(Rank,DBMS,Model,Score) values(122,'solidDB','Relational DBMS',0.71);
insert into DBMS(Rank,DBMS,Model,Score) values(123,'Clustrix','Relational DBMS',0.69);
insert into DBMS(Rank,DBMS,Model,Score) values(124,'Objectivity/DB','Object oriented DBMS',0.67);
insert into DBMS(Rank,DBMS,Model,Score) values(125,'Vectorwise','Relational DBMS',0.66);
insert into DBMS(Rank,DBMS,Model,Score) values(126,'ZODB','Key-value store',0.65);
insert into DBMS(Rank,DBMS,Model,Score) values(127,'Hypertable','Wide column store',0.62);
insert into DBMS(Rank,DBMS,Model,Score) values(128,'1010data','Relational DBMS',0.61);
insert into DBMS(Rank,DBMS,Model,Score) values(129,'TokuDB','Relational DBMS',0.61);
insert into DBMS(Rank,DBMS,Model,Score) values(130,'GT.M','Key-value store',0.61);
insert into DBMS(Rank,DBMS,Model,Score) values(131,'DBISAM','Relational DBMS',0.58);
insert into DBMS(Rank,DBMS,Model,Score) values(132,'Pervasive PSQL','Relational DBMS',0.56);
insert into DBMS(Rank,DBMS,Model,Score) values(133,'Xapian','Search engine',0.55);
insert into DBMS(Rank,DBMS,Model,Score) values(134,'Tokyo Cabinet','Key-value store',0.55);
insert into DBMS(Rank,DBMS,Model,Score) values(135,'Sparksee','Graph DBMS',0.53);
insert into DBMS(Rank,DBMS,Model,Score) values(136,'CloudKit','Document store',0.52);
insert into DBMS(Rank,DBMS,Model,Score) values(137,'InfiniDB','Relational DBMS',0.50);
insert into DBMS(Rank,DBMS,Model,Score) values(138,'Kognitio','Relational DBMS',0.50);
insert into DBMS(Rank,DBMS,Model,Score) values(139,'FrontBase','Relational DBMS',0.48);
insert into DBMS(Rank,DBMS,Model,Score) values(140,'Algebraix','RDF store',0.48);
insert into DBMS(Rank,DBMS,Model,Score) values(141,'TokuMX','Document store',0.47);
insert into DBMS(Rank,DBMS,Model,Score) values(142,'OpenBase','Relational DBMS',0.45);
insert into DBMS(Rank,DBMS,Model,Score) values(143,'VistaDB','Relational DBMS',0.44);
insert into DBMS(Rank,DBMS,Model,Score) values(144,'Northgate Reality','Multivalue DBMS',0.44);
insert into DBMS(Rank,DBMS,Model,Score) values(145,'Hadapt','Relational DBMS',0.44);
insert into DBMS(Rank,DBMS,Model,Score) values(146,'NexusDB','Relational DBMS',0.44);
insert into DBMS(Rank,DBMS,Model,Score) values(147,'Tamino','Native XML DBMS',0.43);
insert into DBMS(Rank,DBMS,Model,Score) values(148,'NCache','Key-value store',0.43);
insert into DBMS(Rank,DBMS,Model,Score) values(149,'EXASolution','Relational DBMS',0.40);
insert into DBMS(Rank,DBMS,Model,Score) values(150,'WebSphere eXtreme Scale','Key-value store',0.39);
insert into DBMS(Rank,DBMS,Model,Score) values(151,'WiredTiger','Key-value store',0.37);
insert into DBMS(Rank,DBMS,Model,Score) values(152,'SciDB','Multivalue DBMS',0.36);
insert into DBMS(Rank,DBMS,Model,Score) values(153,'Perst','Object oriented DBMS',0.36);
insert into DBMS(Rank,DBMS,Model,Score) values(154,'Rainstor','Relational DBMS',0.36);
insert into DBMS(Rank,DBMS,Model,Score) values(155,'ObjectDB','Object oriented DBMS',0.36);
insert into DBMS(Rank,DBMS,Model,Score) values(156,'InfiniteGraph','Graph DBMS',0.35);
insert into DBMS(Rank,DBMS,Model,Score) values(157,'Cubrid','Relational DBMS',0.33);
insert into DBMS(Rank,DBMS,Model,Score) values(158,'GemStone/S','Object oriented DBMS',0.33);
insert into DBMS(Rank,DBMS,Model,Score) values(159,'ITTIA','Relational DBMS',0.30);
insert into DBMS(Rank,DBMS,Model,Score) values(160,'eXist-db','Native XML DBMS',0.30);
insert into DBMS(Rank,DBMS,Model,Score) values(161,'Sqrrl','Multi-model ',0.30);
insert into DBMS(Rank,DBMS,Model,Score) values(162,'Indica','Search engine',0.30);
insert into DBMS(Rank,DBMS,Model,Score) values(163,'eXtremeDB','Relational DBMS',0.29);
insert into DBMS(Rank,DBMS,Model,Score) values(164,'Tokyo Tyrant','Key-value store',0.29);
insert into DBMS(Rank,DBMS,Model,Score) values(165,'OpenInsight','Multivalue DBMS',0.28);
insert into DBMS(Rank,DBMS,Model,Score) values(166,'ScimoreDB','Relational DBMS',0.27);
insert into DBMS(Rank,DBMS,Model,Score) values(167,'XAP ','Key-value store',0.27);
insert into DBMS(Rank,DBMS,Model,Score) values(168,'Project Voldemort','Key-value store',0.26);
insert into DBMS(Rank,DBMS,Model,Score) values(169,'Stardog','RDF store',0.25);
insert into DBMS(Rank,DBMS,Model,Score) values(170,'InfoGrid','Graph DBMS',0.24);
insert into DBMS(Rank,DBMS,Model,Score) values(171,'Splice Machine','Relational DBMS',0.22);
insert into DBMS(Rank,DBMS,Model,Score) values(172,'Hibari','Key-value store',0.22);
insert into DBMS(Rank,DBMS,Model,Score) values(173,'Akiban','Relational DBMS',0.21);
insert into DBMS(Rank,DBMS,Model,Score) values(174,'RocksDB','Key-value store',0.21);
insert into DBMS(Rank,DBMS,Model,Score) values(175,'Compass','Search engine',0.21);
insert into DBMS(Rank,DBMS,Model,Score) values(176,'LucidDB','Relational DBMS',0.20);
insert into DBMS(Rank,DBMS,Model,Score) values(177,'XtremeData','Relational DBMS',0.18);
insert into DBMS(Rank,DBMS,Model,Score) values(178,'Crate.IO','Multi-model ',0.17);
insert into DBMS(Rank,DBMS,Model,Score) values(179,'MapDB','Key-value store',0.16);
insert into DBMS(Rank,DBMS,Model,Score) values(180,'Mimer SQL','Relational DBMS',0.16);
insert into DBMS(Rank,DBMS,Model,Score) values(181,'WebScaleSQL','Relational DBMS',0.15);
insert into DBMS(Rank,DBMS,Model,Score) values(182,'Clusterpoint','Document store',0.15);
insert into DBMS(Rank,DBMS,Model,Score) values(183,'STSdb','Key-value store',0.13);
insert into DBMS(Rank,DBMS,Model,Score) values(184,'Dataupia','Relational DBMS',0.13);
insert into DBMS(Rank,DBMS,Model,Score) values(185,'ScaleBase','Relational DBMS',0.13);
insert into DBMS(Rank,DBMS,Model,Score) values(186,'Scalaris','Key-value store',0.13);
insert into DBMS(Rank,DBMS,Model,Score) values(187,'Redland','RDF store',0.12);
insert into DBMS(Rank,DBMS,Model,Score) values(188,'GraphDB','Multi-model ',0.12);
insert into DBMS(Rank,DBMS,Model,Score) values(189,'FlockDB','Graph DBMS',0.11);
insert into DBMS(Rank,DBMS,Model,Score) values(190,'HyperGraphDB','Graph DBMS',0.11);
insert into DBMS(Rank,DBMS,Model,Score) values(191,'ModeShape','Content store',0.11);
insert into DBMS(Rank,DBMS,Model,Score) values(192,'4store','RDF store',0.10);
insert into DBMS(Rank,DBMS,Model,Score) values(193,'Kyoto Cabinet','Key-value store',0.09);
insert into DBMS(Rank,DBMS,Model,Score) values(194,'RedStore','RDF store',0.09);
insert into DBMS(Rank,DBMS,Model,Score) values(195,'Terrastore','Document store',0.08);
insert into DBMS(Rank,DBMS,Model,Score) values(196,'SearchBlox','Search engine',0.08);
insert into DBMS(Rank,DBMS,Model,Score) values(197,'ScaleDB','Relational DBMS',0.08);
insert into DBMS(Rank,DBMS,Model,Score) values(198,'Strabon','RDF store',0.08);
insert into DBMS(Rank,DBMS,Model,Score) values(199,'Elliptics','Key-value store',0.08);
insert into DBMS(Rank,DBMS,Model,Score) values(200,'SQL.JS','Relational DBMS',0.08);
insert into DBMS(Rank,DBMS,Model,Score) values(201,'GenieDB','Relational DBMS',0.08);
insert into DBMS(Rank,DBMS,Model,Score) values(202,'Rasdaman','Multivalue DBMS',0.08);
insert into DBMS(Rank,DBMS,Model,Score) values(203,'Transbase','Relational DBMS',0.07);
insert into DBMS(Rank,DBMS,Model,Score) values(204,'TransLattice','Relational DBMS',0.07);
insert into DBMS(Rank,DBMS,Model,Score) values(205,'Tajo','Relational DBMS',0.07);
insert into DBMS(Rank,DBMS,Model,Score) values(206,'HyperDex','Key-value store',0.06);
insert into DBMS(Rank,DBMS,Model,Score) values(207,'OpenQM','Multivalue DBMS',0.04);
insert into DBMS(Rank,DBMS,Model,Score) values(208,'Eloquera','Object oriented DBMS',0.04);
insert into DBMS(Rank,DBMS,Model,Score) values(209,'Hamsterdb','Key-value store',0.03);
insert into DBMS(Rank,DBMS,Model,Score) values(210,'Siaqodb','Object oriented DBMS',0.03);
insert into DBMS(Rank,DBMS,Model,Score) values(211,'SmallSQL','Relational DBMS',0.03);
insert into DBMS(Rank,DBMS,Model,Score) values(212,'Jade','Object oriented DBMS',0.03);
insert into DBMS(Rank,DBMS,Model,Score) values(213,'Versant FastObjects','Object oriented DBMS',0.02);
insert into DBMS(Rank,DBMS,Model,Score) values(214,'ScaleOut StateServer','Key-value store',0.02);
insert into DBMS(Rank,DBMS,Model,Score) values(215,'ElevateDB','Relational DBMS',0.02);
insert into DBMS(Rank,DBMS,Model,Score) values(216,'c-treeACE','Relational DBMS',0.02);
insert into DBMS(Rank,DBMS,Model,Score) values(217,'JethroData','Relational DBMS',0.01);
insert into DBMS(Rank,DBMS,Model,Score) values(218,'Starcounter','Object oriented DBMS',0.01);
insert into DBMS(Rank,DBMS,Model,Score) values(219,'Srch','Search engine',0.01);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'Amisa Server','Multi-model ',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'Bangdb','Key-value store',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'BergDB','Key-value store',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'Blazegraph ','Multi-model ',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'BrightstarDB','RDF store',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'CodernityDB','Key-value store',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'CortexDB','Multi-model ',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'CubicWeb','RDF store',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'DBSight','Search engine',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'DensoDB','Document store',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'Djondb','Document store',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'Dydra','RDF store',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'EJDB','Document store',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'Event Store','Event Store',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'Exorbyte','Search engine',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'FleetDB','Document store',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'GlobalsDB','Multi-model ',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'GraphBase','Graph DBMS',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'HyperLevelDB','Key-value store',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'JasDB','Document store',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'JustOneDB','Relational DBMS',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'Kyoto Tycoon','Key-value store',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'LedisDB','Key-value store',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'LightCloud','Key-value store',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'LokiJS','Document store',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'Mulgara','RDF store',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'Nanolat','Key-value store',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'NEventStore','Event Store',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'OrigoDB','Multi-model ',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'Postgres-XL','Relational DBMS',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'Quasardb','Key-value store',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'RaptorDB','Document store',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'Resin Cache','Key-value store',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'SenseiDB','Document store',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'Sequoiadb','Document store',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'SisoDb','Document store',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'SparkleDB','RDF store',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'Tarantool','Key-value store',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'TomP2P','Key-value store',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'Valentina Server','Relational DBMS',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'VelocityDB','Object oriented DBMS',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'VelocityGraph','Graph DBMS',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'WakandaDB','Object oriented DBMS',0.00);
insert into DBMS(Rank,DBMS,Model,Score) values(220,'WhiteDB','Document store',0.00);

select count(*) as Total from DBMS;
select count(*) as "Score under 1" from DBMS where Score < 1.0;
select count(*) as "Score under 0.1" from DBMS where Score < 0.1;
select count(*) as "Score under 0.01" from DBMS where Score < 0.01;

select Model,count(*) as Nombre from DBMS group by Model;

select Model,DBMS from DBMS group by Model,DBMS;

select Model,count(*) as Nombre,group_concat(DBMS,',') as List from DBMS group by Model;

closeDB;

write-b Fin de script;
