-- -------------------------------------------- --
-- RETAIL application - Standard implementation --
-- -------------------------------------------- --
--
-- actions: list of script suffixes --
-- op: selected operation                --

set dir = Case-Studies/Case_Active_DB/Standard-Version;

set actions = Create-DB;Init-BASE;
set actions = $actions$;Register-CUSTOMER;Register-ITEM;Update-ITEM;Register-CUSTORDER-GUI;Register-PAYMENT-GUI;
set actions = $actions$;Register-SUPPLIER;Register-OFFER;Update-OFFER;Replenish-ITEM-GUI;
set actions = $actions$;Show-CUSTOMER;Show-ITEM;Show-CUSTORDER;Show-CUSTINVOICE;Print-invoice;Show-SUPPLIER;Show-OFFER;Show-SUPPORDER;

while (True);
   selectOne op = [/bA RETAIL SHOP MANAGEMENT SYSTEM (Standard version)]
                 {INITIALIZATION}
                 |Create DB schema
                 |Initialize all base tables
                ||{RETAIL OPERATIONS}
                 |Register a CUSTOMER
                 |Register an ITEM
                 |Update an ITEM
                 |Enter a CUSTORDER
                 |Enter a PAYMENT
                ||{SUPPLIER OPERATIONS}
                 |Register a SUPPLIER
                 |Register an OFFER
                 |Update an OFFER
                 |Replenish an ITEM
                ||{SHOW DATA}
                 |Show CUSTOMER
                 |Show ITEM
                 |Show CUSTORDER
                 |Show CUSTINVOICE
                 |Print invoices
                 |Show SUPPLIER
                 |Show OFFER
                 |Show SUPPORDER;
   if ('$DIALOGbutton$'= '$buttonNO$' or $op$ = 0) exit;

   compute action = item('$actions$',$op$,';');
   execSQL $dir$/_RETAIL-$action$.sql;

endwhile;

return;
