-- ------------------- --
-- Execute a deposit   --
-- ------------------- --

openDB BLOCK_CHAIN.db;

extract NC = select count(*) from ACCOUNT;
if ($NC$ = 0);
   showMessage No account has been registered yet.@nOperation cancelled.;
   goto END;
endif;

ask account,amount = [/bEnter the deposit data]
            Your name:[!select PrivName,AccountID from ACCOUNT order by PrivName]
           |Amount to deposit:;
if ('$DIALOGbutton$' = 'Cancel') goto END;

if ('$account$' = '' or '$amount$' = '' or isNotNumeric('$amount$'));
   showMessage Incorrect data;
   goto END;
endif;

if ($amount$ <= 0);
   showMessage Incorrect amount;
   goto END;
endif;

extract secretKey = select SecretKey from ACCOUNT where AccountID = '$account$';

set      recTime  = $dateclock$;
set      transID  = $account$-$date$_$clock$;
set      oper     = DEPOSIT;
function signature = LStr:encryptRSA {$transID$;$oper$;$account$;$amount$;$recTime$},
                                     {$secretKey$};

insert into BTRANSACTION (TransID,Operation,Recip,Amount,RecTime,Signature)
       values ('$transID$','$oper$','$account$',$amount$,'$recTime$','$signature$');
commitDB;

if ($showData$) execSQL $path$/_BC_Display_tables.sql;

label END;

closeDB;

return;
