-- ------------------------------ --
-- Directory structure (no files) --
-- ------------------------------ --

if (not fileExists('dbDirectory/DIRECTORY.db'));
   showMessage Database "DIRECTORY.db" not found;
   return;
endif;
write 1;
openDB DIRECTORY.db;
write 2;
write $listInstances$;
select D.DirNick||' ('||I.InstDate ||' '||I.InstTime||')' as Name, I.InstID from   DIRECTORY D,INSTANCE I where  D.DirID = I.DirID order by Name;

ask inst = Instance:[!$listInstances$];
write 3;
if ('$DIALOGbutton$' <> 'OK' or '$inst$' = '') goto EXIT;
write 4;

extract iName = $instName$;
write 5;
write-ab -- Directory structure of directory "$iName$" --;
write 6;

select NodeID,
       repeat('.... ',Level)
     ||case when NType = 'F'
              then LocalName
              else '['||LocalName||']'
       end as Name
from  NODE
where InstID = $inst$ and NType = 'D'
order by Path;

label EXIT;
   closeDB;

return;