set sourceDir = $scriptDirectory$/Case-Studies/Case_Game_Book;

selectOne task = [/b@S8GAME BOOKS: select a task] 
                {Playing games}
                |Play "WatchTower" game
                |Play "WindHammer" game (graph only)
                |Create a "WatchTower" novel
                |{Analyzing games}
                |Analyze a game;

if ('$DIALOGbutton$' = 'Cancel') stop;

if ($task$ = 1) execSQL $sourceDir$/_WatchTower-The-Game.sql;
if ($task$ = 2) execSQL $sourceDir$/_WindHammer-The-Game.sql;
if ($task$ = 3) execSQL $sourceDir$/_WatchTower-Story-telling.sql;
if ($task$ = 4) execSQL $sourceDir$/_Game_Analysis.sql;

stop;
