-- ---------------------------------- --
-- Create a $maxLin$ X $maxCol$ world --
-- Then, create indexes               --
-- ---------------------------------- --

with recursive
  INIT1(I,J,C)
  as (select 0,0,0
        union
      select I+1,J,0 from INIT1 where I < $maxLin$),
  INIT2(I,J,C)
  as (select * from INIT1
        union
      select I,J+1,0 from INIT2 where J < $maxCol$)
insert into CELL select * from INIT2;

create index XCELL on CELL (I,J);
create index XSCORE on SCORE (I,J);

