
set encode = 1;

-- ============================ DONNEES GROUPEES =============================

insert into EXERCISE values(
   'Q04-01',
   'CLICOM.db',
   'group',1,1,
   'Clients groups par localit. Nom,nombre,moyenne des comptes',
   'Pour chaque groupe de clients d''une mme localit, afficher le nom de la localit, le nombre de clients et la moyenne de leurs comptes.',
   'select LOCALITE,count(*) as Nombre,avg(COMPTE) as Moyenne from CLIENT group by LOCALITE'
);

insert into EXERCISE values(
   'Q04-02',
   'CLICOM.db',
   'group',1,1,
   'Clients groups par localit. Si au moins 3 clients: nom,nombre,moyenne des comptes',
   'Pour chaque groupe de clients d''une mme localit, pour autant que ce groupe compte au moins trois clients, afficher le nom de la localit, le nombre de clients et la moyenne de leurs comptes.',
   'select LOCALITE, count(*) as Nombre, avg(COMPTE) as Moyenne from CLIENT group by LOCALITE having Nombre >= 3'
);

insert into EXERCISE values(
   'Q04-03',
   'CLICOM.db',
   'group',1,1,
   'Clients groups par localit. Si somme des comptes < 100: nom, nombre,moyenne des comptes',
   'Pour chaque groupe de clients d''une mme localit, pour autant que la somme de leurs comptes soit infrieure  100, afficher le nom de la localit, le nombre de clients et la moyenne de leurs comptes.',
   'select LOCALITE, count(*) as Nombre, avg(COMPTE) as Moyenne from CLIENT group by LOCALITE having sum(COMPTE) < 100'
);

insert into EXERCISE values(
   'Q04-04',
   'CLICOM.db',
   'group',1,1,
   'Clients ayant pass au moins 2 commandes',
   'Rechercher les clients qui ont pass au moins 2 commandes. Indiquer aussi le nombre de ces commandes.',
   'select NCLI, count(*) as Nombre from COMMANDE group by NCLI having Nombre >= 2'
);

insert into EXERCISE values(
   'Q04-05',
   'CLICOM.db',
   'group',2,2,
   'Clients ayant pass au moins 2 commandes d''un produit',
   'Rechercher les clients qui ont pass au moins 2 commandes spcifiant le produit ''PA45''. Indiquer aussi le nombre de ces commandes.',
   'select NCLI, count(*) as Nombre from COMMANDE where  NCOM in (select NCOM from DETAIL where  NPRO = ''PA45'') group by NCLI having Nombre >= 2'
);

insert into EXERCISE values(
   'Q04-06',
   'CLICOM.db',
   'group',2,2,
   'Clients ayant pass au moins 2 commandes d''un produit + nombre et quantit totale',
   'Rechercher les clients qui ont pass au moins 2 commandes spcifiant le produit ''PA45''. Indiquer aussi le nombre de ces commandes et la quantit totale commande de ce produit.',
   'select NCLI, count(*) as Nombre, sum(QCOM) as Quantite from COMMANDE M, DETAIL D where M.NCOM = D.NCOM and NPRO = ''PA45'' group by NCLI having Nombre >= 2'
);

if ($encode$) update EXERCISE set RefQuery = b64encode(RefQuery,'std');

commitDB;

