set sourceDir = $scriptDirectory$/Case-Studies/Case_Schemaless;

selectOne task = [/b@S8SCHEMA-LESS DATABASES: select a model] 
                {Non relational models}
                |Universal table model
                |Column-oriented model
                |Key-Value model
                |Object-oriented model
                |{Performances}
                |Column-oriented model - performance study
                |Key-Value model - performance study;

if ('$DIALOGbutton$' = 'Cancel') stop;

if ($task$ = 1) execSQL $sourceDir$/_Schemaless1-Universal.sql;
if ($task$ = 2) execSQL $sourceDir$/_Schemaless1-Column.sql;
if ($task$ = 3) execSQL $sourceDir$/_Schemaless2-Key-Value.sql;
if ($task$ = 4) execSQL $sourceDir$/_Schemaless3-Objects.sql;
if ($task$ = 5) execSQL $sourceDir$/_Schemaless1-Column-Performance.sql;
if ($task$ = 6) execSQL $sourceDir$/_Schemaless2-Key-Value-Performance.sql;

stop;
