-- Where are the scripts? --
set sourceDir = $scriptDirectory$/Case-Studies/Case_Shortest_Path;

selectOne task = [/b@S8Shortest path applications] 
                {Shortest path between cities}
                |Inter-City map
                |Large parametric inter-City map
               |{Solving mazes}
                |Solve the current maze
               |{Exploring a planet}
                |Finding rover best path;

if ('$DIALOGbutton$' = 'Cancel') stop;

if ($task$ = 1) execSQL $sourceDir$/Inter-City_Solver#1.sql;
if ($task$ = 2) execSQL $sourceDir$/Inter-City_Solver#2.sql;
if ($task$ = 3) execSQL $sourceDir$/Maze_solver.sql;
if ($task$ = 4) execSQL $sourceDir$/Rover-on-Planet_Solver.sql;

stop;
