insert into NODE(Name) values
       ('A'),('B'),('C'),('D'),('E'),('F'),('G'),('H'),('I'),('J');
insert into NPATH values
       ('A','B',85),('A','C',217),('A','E',173),('B','F',80),
       ('C','G',186),('C','H',103),('F','I',250),('H','D',183),
       ('H','J',167),('E','J',502),('I','J',84);

--Convert NPATH into PATH --
insert into PATH select C1.NodeID, C2.NodeID, P.Cost
                 from   NODE C1, NPATH P, NODE C2
                 where  C1.Name = P.Node1 and P.Node2 = C2.Name;

-- Table NODE initialization --
update NODE set Mark = 0, Path = '', Cost = 999999;
