insert into NODE(Name) values
       ('A'),('B'),('C'),('D'),('E');
insert into NPATH values
       ('A','B',1),('A','D',4),('A','E',12),('B','C',5),
       ('B','D',2),('D','C',2),('C','E',3),('D','E',6);

--Convert NPATH into PATH --
insert into PATH select C1.NodeID, C2.NodeID, P.Cost
                 from   NODE C1, NPATH P, NODE C2
                 where  C1.Name = P.Node1 and P.Node2 = C2.Name;

-- Table NODE initialization --
update NODE set Mark = 0, Path = '', Cost = 999999;
