set dim = 10;
ask-u dim = Dimension of the matrix (4 -> 64):;
   if ('$DIALOGbutton$' = 'Cancel') stop;
   if ($dim$ not between 4 and 64) set dim = 10;
compute dim-1 = $dim$ - 1;

-- Generate CITY --
-- ------------- --
set insert = insert into NODE(Name) values ;
set items = ;
for iL = [1,$dim$];
   compute L = item('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+-',$iL$,'');
   for iC =  [1,$dim$];
      compute node = '$L$'||frame('$iC$',2,'>','0');
      set insert = $insert$('$node$'),;
      set items = $items$$node$;;
   endfor;
endfor;
compute insert = substr('insert',1,length('insert')-1);
$insert$;;
-- select * from NODE;

-- Generate NPATH --
-- -------------- --
-- Horizontal paths --;
set insert = insert into NPATH(Node1,Node2,Cost) values ;
for iL = [1,$dim$];
   for iC = [1,$dim-1$];
      compute pos = ($iL$-1)*$dim$ + $iC$;
      compute C1 = itemS('$items$',$pos$);
      compute C2 = itemS('$items$',$pos$+1);
      set insert = $insert$('$C1$','$C2$',1),;
   endfor;
endfor;
compute insert = substr('insert',1,length('insert')-1);
$insert$;;
-- select * from NPATH;


-- Vertical paths --;
set insert = insert into NPATH(Node1,Node2,Cost) values ;
for iC = [1,$dim$];
   for iL = [1,$dim-1$];
      compute pos = ($iL$-1)*$dim$ + $iC$;
      compute L1 = itemS('$items$',$pos$);
      compute L2 = itemS('$items$',$pos$+$dim$);
      set insert = $insert$('$L1$','$L2$',1),;
   endfor;
endfor;
compute insert = substr('insert',1,length('insert')-1);
$insert$;;
-- select * from NPATH;

-- Insert inverse paths --
insert into NPATH(Node1,Node2,Cost) select Node2,Node1,Cost from NPATH;

--Convert NPATH into PATH --
insert into PATH select C1.NodeID, C2.NodeID, P.Cost
                 from   NODE C1, NPATH P, NODE C2
                 where  C1.Name = P.Node1 and P.Node2 = C2.Name;

create index ndxPATH on PATH(Node1);

-- Table NODE initialization --
update NODE set Mark = 0, Path = '', Cost = 999999;

return;
