-- write COMPUTE CLOSURE;

with recursive CTE_CLOSURE(FromNode,ToNode,Path) as
(select FromNode,ToNode,'.'||FromNode||'.'||ToNode||'.' from LINK_W
   union all
 select C.FromNode,L.ToNode,C.Path||L.ToNode||'.'
 from   CTE_CLOSURE C, LINK_W L
 where  C.ToNode = L.FromNode
 and    C.FromNode <> C.ToNode
 and    C.Path not like '.%.'||L.ToNode||'%')
insert into CLOSURE select * from CTE_CLOSURE;
