-- ---------------------------------- --
-- Displaying-the-content-of-2-tables --
-- ---------------------------------- --

openDB ORDERS.db;

select O.OrdID,CustID,DateOrd,ProdID,Qord
from   CUSTORDER O, DETAIL D
where  O.OrdID = D. OrdID
order by O.OrdID,ProdID;

select OrdID,CustID,DateOrd,'' as ProdID,'' as Qord
from CUSTORDER
  union
select OrdID,'' as CustID,'' as DateOrd,ProdID,Qord
from DETAIL
order by OrdID,ProdID;

select OrdDisp as OrdID,CustID,DateOrd,ProdID,Qord
from (select OrdID as OrdSort,OrdID as OrdDisp,
             CustID,DateOrd,'' as ProdID,'' as Qord
      from CUSTORDER
        union
      select OrdID as OrdSort,'' as OrdDisp,
             '' as CustID,'' as DateOrd,ProdID,Qord
      from DETAIL)
order by OrdSort,ProdID;

closeDB;

write-b End of script;

