-- --------------------- --
-- Paged reading of data --
-- --------------------- --

set db = ORDERS.db;
set query = select CustID,Name,City\nfrom   CUSTOMER\norder by CustID;
set start,end,step = 1,999,5;
set w = 40;
askCombo [askText-u query = [/b/x24/y5Data extraction query]]
        |[ask-u start,end,step = [/b/x12 Browsing parameters] Start||End||Step]
        |[ask-u w = Window width];
compute ws = $step$ + 6;
openDB $db$;
outputOpen result.var;
for I = [$start$,$end$,$step$];
   set result = ;
   compute J = $I$ + $step$;
   $query$ #[$I$,$J$];
   if ('$SQLdiag$' = 'NONE') exit;
   showText result = [/b/x$w$/y$ws$Window on table CUSTOMER];
   if ('$DIALOGbutton$' = 'Cancel') exit;
endfor;
outputAppend window;

closeDB;

write-b End of script;

