-- Double loop
-- Listing customers with their orders

openDB ORDERS.db;

-- Defining the first query (note that keyword "select" in absent)

set selectCustomers = CustID,City from CUSTOMER
                      where CustID in 
                           (select CustID from CUSTORDER);

-- Defining the second query (note that variable substitution in disabled)

set-n selectOrders = O.OrdID,DateOrd,sum(Qord*Price)
                   from  CUSTORDER O,DETAIL D,PRODUCT P
                   where CustID = '$cid$'
                   and   D.OrdID = O.OrdID
                   and   D.ProdID = P.ProdID
                   group by O.OrdID,DateOrd;

for cid,cit = [select $selectCustomers$];
   write-b Customer $cid$ from $cit$;
   for oid,dat,am = [select $selectOrders$];
       write @t placed order $oid$ on $dat$ for $am$ ;
   endfor;
endfor;

closeDB;
