-- Numeric expressions

set X1 = -4;
set X2 = 12;
set X3 = 3;

compute A = 3  *($X2$ -1)/($X2$ + 1);
compute B = 3.0*($X2$ -1)/($X2$ + 1);
compute C = round(3.0*($X2$ -1)/($X2$ + 1));
compute D = round(3.0*($X2$ -1)/($X2$ + 1),2);
compute E = $X2$ % 5;
compute F = $I$ / 0;

write;
write N1. $A$;
write N2. $B$;
write N3. $C$;
write N4. $D$;
write N5. $E$;
write N6. Zero-divide: F = [$F$];

write-b Generate 20 random codes;
set M = 1000;
for I = [1,20];
  compute R = abs(random()) % $M$;
  compute R = frame('$R$',3,'>','0');
  write N7. ID-$R$;
endfor;

write;
