
-- Displaying binary data --
write-b -- Displaying binary data --

createOrReplaceDB DOC.db;
create table DOCUMENT(
       ID       integer not null primary key, 
       Name     varchar(128),
       Content  blob);

create view DOCUMENT_V as
select ID,Name,
       case when Content is not null 
            then '<not printable>'
            else null
       end as Content
from DOCUMENT;

BfileToVariable lob1 = Files/SQLfast-Tutorial.pdf;
insert into DOCUMENT(ID,Name) values (1,'SQLfast-Tutorial.pdf');
insertLOB lob1 = Content from DOCUMENT where ID = 1;

commitDB;

write-b Show content of table DOCUMENT:;
select * from DOCUMENT;

write-b Show content of view DOCUMENT_V:;
select * from DOCUMENT_V;

write-b Now try to "Show Data" with table "DOCUMENT";
write   ... then with view "DOCUMENT_V";

closeDB;
