-- Import data from a DBF file --

selectOne data = [/bSelect a test case]
                   Loading DBF data in new target table |
                   Loading DBF data in existing target table;

if ($data$ = 1) goto Case1;
if ($data$ = 2) goto Case2;
goto Exit;

label Case1;
  openDB ORDERS.db;
  import CUSTOMER_0 from $fileDirectory$/CUSTOMER-0.dbf;
  write-ab ImportErrors = $ImportErrors$, SQLdiag: $SQLdiag$;
  select * from CUSTOMER_0;
  drop table CUSTOMER_0;
  closeDB;
  goto Exit;

label Case2;
  openDB ORDERS.db;
  create temp table CUSTOMER_0 (
         CustID  char(10) not null,
         Name    char(32) not null,
         Address char(60) not null,
         City    char(30) not null,
         Cat     char(2),
         Account decimal(9,2) not null,
         constraint PKCUST primary key (CustID));

  import CUSTOMER_0 from Files/CUSTOMER-0.dbf;
  write-ab ImportErrors = $ImportErrors$, SQLdiag: $SQLdiag$;
  select * from CUSTOMER_0;
  closeDB;

label Exit;
  return;
