-- The if-then-else structure cope with the SQLite "with" bug
-- Bug: when a with query returns an empty result set,
--      the cursor.description method returns None 
--      instead of the list of column names.
-- To simplify when the bug is fixed -- 

write-ab Breadth-first (layer-by-layer) exploration of the hierarchy 
         @ndepending on a selected person;
openDB STAFF.db;

ask P = PersonID:[!select PID from PERSON];

extract NP = select count(*) from PERSON where PID = '$P$';

if ($NP$ = 0);
   select 1 as Lev,1 as PID,1 as Name,1 as Manager 
   from PERSON where 1 = 2;
else;
   with recursive ORG(Lev,PID,Name,Manager)
   as (select 1, PID, Name, Manager
       from   PERSON where PID = '$P$'
         union all
       select O.Lev+1,P.PID,P.Name,P.Manager
       from   ORG O, PERSON P
       where  O.PID = P.Manager
       )
   select Lev,PID,Name,Manager from ORG;
endif;

closeDB;
