-- ------------------------------- --
-- Afficher le contenu des tables  --
-- ------------------------------- --

set defWidth = $maxSelectWidth$;
set maxSelectWidth = 68;

write-b COMPTE;
select AdresseCPT,
       NomPrive,
       length(CleSecrete) as LongSec,
       substr(CleSecrete,1,15)||'[..]'||substr(CleSecrete,-15,15) as CleSecrete,
       DateEnreg
from   COMPTE;

write-b REPERTOIRE;
select AdresseCPT,
       length(ClePublique) as LongPub,
       substr(ClePublique,1,15)||'[..]'||substr(ClePublique,-15,15) as ClePublique,
       Mineur
from   REPERTOIRE;

write-b BTRANSACTION;
select CleTrans,
       length(IDTrans) as LongID,
       IDTrans,
       IDBloc,
       Operation,
       Source,
       Destin,
       Montant,
       DateEnreg,
       length(Signature) as LongSig,
       substr(Signature,1,15)||'[..]'||substr(Signature,-15,15) as Signature
from   BTRANSACTION;

set maxSelectWidth = $defWidth$;

return;


