-- ------------------- --
-- Executer un dpt   --
-- ------------------- --

openDB BLOCKCHAIN.db;

extract NC = select count(*) from COMPTE;
if ($NC$ = 0);
   showMessage Aucun compte n'a encore t cr.@nOpration annule.;
   goto END;
endif;

ask compte,montant = [/bIntroduire les donnes du dpt]
          Votre nom:[!select NomPrive,AdresseCPT from COMPTE order by NomPrive]
         |Montant:;
if ('$DIALOGbutton$' = 'Cancel') goto END;

if ('$compte$' = '' or '$montant$' = '' or isNotNumeric('$montant$'));
   showMessage Donnes incorrectes;
   goto END;
endif;

if ($montant$ <= 0);
   showMessage Montant incorrect;
   goto END;
endif;

extract cleSecrete = select CleSecrete from COMPTE where AdresseCPT = '$compte$';

set      dateEnreg = $dateclock$;
set      idTrans   = $compte$-$date$_$clock$;
set      operation = DEPOSIT;
function signature = LStr:encryptRSA {$idTrans$;$operation$;$compte$;$montant$;$dateEnreg$},

insert into BTRANSACTION (IDTrans,Operation,Destin,Montant,DateEnreg,Signature)
       values ('$idTrans$','$operation$','$compte$',$montant$,'$dateEnreg$','$signature$');
commitDB;

if ($showData$) execSQL $path$/_BC_Contenu_tables.sql;

label END;

closeDB;

return;
