-- ---------------------- --
-- Enregistrer un compte  --
-- ---------------------- --

openDB BLOCKCHAIN.db;

-- Obtenir le nom priv --
ask nomPrive = [/bIntroduire votre nom priv@n(n'est utilis que dans un but d'exprimentation)] Nom priv:;
if ('$DIALOGbutton$' = 'Cancel' or '$nomPrive$' = '') goto END;

start-timer; 

-- Gnrer les cls RSA "CleSecrete" et "ClePublique" (format PEM simplifi) --
function cleSecrete,clePublique = LStr:generateRSAkeys 1700;

-- Calculer l'adresse du compte (hash de la cl publique) + donnes de la transaction
function adresseCPT = LStr:hash {$clePublique$},2;
set      dateEnreg  = $dateclock$;
set      idTrans    = $adresseCPT$-$date$_$clock$;
set      operation  = REGISTER;
function signature  = LStr:encryptRSA {$idTrans$;$operation$;$adresseCPT$;$dateEnreg$},{$cleSecrete$};

-- Enregistrer les donnes dans COMPTE, REPERTOIRE, BTRANSACTION
insert into COMPTE (AdresseCPT,NomPrive,CleSecrete,DateEnreg)
       values ('$adresseCPT$','nomPrive','$cleSecrete$','$dateEnreg$');
insert into REPERTOIRE (AdresseCPT,ClePublique)
       values ('$adresseCPT$','$clePublique$');
insert into BTRANSACTION (IDTrans,Operation,Source,DateEnreg,Signature)
       values ('$idTrans$','$operation$','$adresseCPT$','$dateEnreg$','$signature$');

commitDB;

write-b Compte cr en $timer$ s.;

if ($showData$) execSQL $path$/_BC_Contenu_tables.sql;

label END;

closeDB;

return;


