
openDB RETAIL.db;

-- Standard entry width a bit short!
set entryWidth = $entryWidth2$;
set entryWidth2 = 30;

-- a pseudo loop to avoid "goto/label"
while (True);

   ask supItm = [/bSelect an offer (Supplier and Item) to update]
             Supplier & Item:[!select distinct ItemID || ' from ' ||SU.SuppID||' ('||SU.Name||')',
                                      SU.SuppID||';'||ItemID
                               from   OFFER OF,SUPPLIER SU
                               where  OF.SuppID = SU.SuppID
                               order by SU.SuppID];
       if ('$DIALOGbutton$' = '$buttonNO$' or '$supItm$' = '') exit;

   extract nord = select count(*) from SUPPORDER
                  where  SuppID||';'||ItemID = '$supItm$'
                  and    State in ('recorded','assigned');
   if ($nord$ > 0);
      showMessage Pending supplier orders still depend on this offer.@nOperation cancelled.;
      exit;
   endif;

   extract pri,del = select Price,Delay from OFFER where SuppID||';'||ItemID = '$supItm$';

   ask-u pri,del = [/bModify the properties]
                   New price:|New delay:;
       if ('$DIALOGbutton$' = '$buttonNO$') exit;

   update OFFER
   set   Price = $pri$,
         Delay = '$del$'
   where SuppID||';'||ItemID = '$supItm$';

   commitDB;
   exit;
endwhile;

closeDB;

set entryWidth2 = $entryWidth$;

return;
