-- -------------------------------------- --
-- Delete a directory                     --
-- -------------------------------------- --

if (not fileExists('dbDirectory/DIRECTORY.db'));
   showMessage Database "DIRECTORY.db" not found;
   return;
endif;

openDB DIRECTORY.db;

ask dir = [/bDelete a directory and all its instances from the DB]
          Directory:[!select DirNick,DirID from DIRECTORY order by DirNick]

if ('$DIALOGbutton$' = 'OK' and '$dir$' <> '');
   extract dirn = select DirNick from DIRECTORY where dirID = $dir$;
   showMessage Please confirm the deletion of root directory "$dirn$";

   if ('$DIALOGbutton$' = 'OK');
      delete from DIRECTORY where DirID = $dir$;
      commitDB;
   endif;

endif;

closeDB;

return;