
set encode = 0;

-- =========================== BASIC QUERY ============================== --

insert into EXERCISE values(
   'Q01-01',
   'CLICOM.db',
   'basic',1,1,'Numro, nom, localit des clients',
   'Afficher le numro, le nom et la localit de tous les clients.',
   'select NCLI, NOM, LOCALITE from CLIENT'
);

insert into EXERCISE values(
   'Q01-02',
   'CLICOM.db',
   'basic',1,1,'Numro, Nom des clients de Poitiers',
   'Afficher le numro et le nom des clients de Poitiers.',
   'select NCLI, NOM from CLIENT where LOCALITE = ''Poitiers'''
);

insert into EXERCISE values(
   'Q01-03',
   'CLICOM.db',
   'basic',1,1,'Localits avec clients',
   'Liste des localits dans lesquelles habite au moins un client.',
   'select distinct LOCALITE from CLIENT'
);

insert into EXERCISE values(
   'Q01-04',
   'CLICOM.db',
   'basic',1,1,'Localits avec clients de catgorie C1',
   'Liste des localits dans lesquelles habite au moins un client de catgorie ''C1''.',
   'select distinct LOCALITE from CLIENT where CAT = ''C1'''
);

insert into EXERCISE values(
   'Q01-05',
   'CLICOM.db',
   'basic',1,1,'Clients ayant pass des commandes',
   'Liste des numros des clients qui ont pass au moins une commande.',
   'select distinct NCLI from COMMANDE'
);

insert into EXERCISE values(
   'Q01-06',
   'CLICOM.db',
   'basic',1,1,'Clients sans catgorie',
   'Liste des donnes des clients sans catgorie.',
   'select * from CLIENT where CAT is null'
);

insert into EXERCISE values(
   'Q01-07',
   'CLICOM.db',
   'basic',1,1,'Clients de catgorie C1, C2 or C3',
   'Liste des donnes des clients de category C1, C2 ou C3.',
   'select * from CLIENT where CAT in (''C1'',''C2'',''C3'')'
);

insert into EXERCISE values(
   'Q01-08',
   'CLICOM.db',
   'basic',1,1,'Clients dont le compte est de 1000  4000',
   'Liste des donnes des clients ayant un compte entre 1000 et 4000.',
   'select * from CLIENT where COMPTE between 1000 and 3000'
);

insert into EXERCISE values(
   'Q01-09',
   'CLICOM.db',
   'basic',1,1,'Clients de catgorie ?1',
   'Liste des donnes des clients dont la catgorie se termine par ''1''',
   'select * from CLIENT where CAT like ''_1'''
);

insert into EXERCISE values(
   'Q01-10',
   'CLICOM.db',
   'basic',1,1,'Clients dont l''adresse contient ''Neuve''',
   'Liste des donnes des clients dont l''adresse
    contient le mot ''Neuve''.',
   'select * from CLIENT where ADRESSE like ''%Neuve%'''
);

insert into EXERCISE values(
   'Q01-11',
   'CLICOM.db',
   'basic',2,2,'Clients dont l''adresse contient ''Neuve'' (maj. et/ou min.)',
   'Liste des donnes des clients dont l''adresse contient le mot ''Neuve'', ou ''neuve'', ou ''NEUVE'', etc.',
   'select * from CLIENT where lower(ADRESSE) like ''%neuve%'''
);

insert into EXERCISE values(
   'Q01-12',
   'CLICOM.db',
   'basic',2,3,'Client de catgorie C1 n''habitant pas  Toulouse',
   'Afficher le numro, le nom et la localit des clients de catgorie ''C1''
    qui n''habitent pas  Toulouse',
   'select NCLI, NOM, LOCALITE from CLIENT where CAT = ''C1'' and LOCALITE <> ''Toulouse'''
);

insert into EXERCISE values(
   'Q01-13',
   'CLICOM.db',
   'basic',2,2,'Commandes d''une liste de clients',
   'Afficher les informations sur les commandes des clients C123,S127,B062 et L422.',
   'select * from COMMANDE where NCLI in (''C123'',''S127'',''B062'',''L422'')'
);


-- =========================== SUB QUERY ============================== --

insert into EXERCISE values(
   'Q02-01',
   'CLICOM.db',
   'sub-query',1,3,
   'Commandes des clients d''une localit',
   'Afficher les informations sur les commandes des clients de Poitiers',
   'select NCOM,DATECOM from COMMANDE where NCLI in (select NCLI from CLIENT where LOCALITE = ''Poitiers'')'
);

insert into EXERCISE values(
   'Q02-02',
   'CLICOM.db',
   'sub-query',2,4,
   'Produits commands dans une localit',
   'Afficher les informations sur les produits commands par des clients de Poitiers',
   'select * from PRODUIT
    where  NPRO in (select NPRO from DETAIL
    where  NCOM in (select NCOM from COMMANDE
    where  NCLI in (select NCLI from CLIENT 
    where  LOCALITE=''Poitiers'')))'
);

insert into EXERCISE values(
   'Q02-03',
   'CLICOM.db',
   'sub-query',2,4,
   'Clients de compte suprieur  celui d''un autre client',
   'Afficher les informations sur les clients dont le compte est suprieur  celui du client C400',
   'select * from CLIENT where COMPTE > (select COMPTE from CLIENT where NCLI = ''C400'')'
);

insert into EXERCISE values(
   'Q02-04',
   'CLICOM.db',
   'sub-query',2,4,
   'Commandes ne spcifiant pas un produit',
   'Afficher les informations sur les commandes qui ne spcifient pas le produit PA60',
   'select NCOM,DATECOM,NCLI from COMMANDE
    where  NCOM not in (select NCOM from DETAIL where  NPRO = ''PA60'')'
);

insert into EXERCISE values(
   'Q02-05',
   'CLICOM.db',
   'sub-query',2,5,
   'Commandes spcifiant au moins un produit autre que PA60',
   'Afficher les informations sur les commandes qui spcifient au moins un produit autre que PA60',
   'select NCOM,DATECOM,NCLI from COMMANDE where NCOM in (select NCOM from DETAIL where NPRO <> ''PA60'')'
);

insert into EXERCISE values(
   'Q02-06',
   'CLICOM.db',
   'sub-query',2,5,
   'Clients n''ayant pas command en 2015',
   'Afficher les informations sur les clients de Poitiers qui n''ont pas command en 2015.',
   'select * from  CLIENT where LOCALITE = ''Poitiers''
    and   NCLI not in (select NCLI from COMMANDE where DATECOM like ''2015%'')'
);

insert into EXERCISE values(
   'Q02-07',
   'CLICOM.db',
   'sub-query',2,5,
   'Clients de compte suprieur  la moyenne de leur localit',
   'Afficher la liste des numros des clients dont le compte est suprieur  la moyenne de ceux de leur localit.',
   'select NCLI,NOM,LOCALITE,COMPTE from CLIENT as CLI
    where  COMPTE > (select avg(COMPTE) from CLIENT where LOCALITE = CLI.LOCALITE)'
);

insert into EXERCISE values(
   'Q02-08',
   'CLICOM.db',
   'sub-query',2,5,
   'Commandes d''au moins 3 dtails',
   'Rechercher les commandes d''au moins 3 dtails. Afficher leurs numros et leurs dates.',
   'select NCOM,DATECOM from COMMANDE C
    where (select count(*) from DETAIL where NCOM = C.NCOM) >= 3'
);

insert into EXERCISE values(
   'Q02-09',
   'CLICOM.db',
   'sub-query',3,5,
   'Produits rfrencs par au moins un dtail',
   'Afficher le numro et le libell des produits rfrencs par au moins un dtail.',
   'select NPRO,LIBELLE from PRODUIT as P 
    where exists (select * from DETAIL where  NPRO = P.NPRO)'
);

insert into EXERCISE values(
   'Q02-10',
   'CLICOM.db',
   'sub-query',3,6,
   'Commandes de quantit suprieure au minimum',
   'Rechercher les commandes de PA60 qui commandent plus que la quantit minimale enregistre pour ce produit',
   'select distinct NCOM from DETAIL 
    where QCOM > (select min(QCOM) from DETAIL
    where NPRO = ''PA60'') and NPRO = ''PA60'''
);

insert into EXERCISE values(
   'Q02-11',
   'CLICOM.db',
   'sub-query',3,4,
   'O achte-t-on un produit?',
   'Afficher les localits des clients qui commandent le produit CS464',
   'select distinct LOCALITE from CLIENT where NCLI in (select NCLI from COMMANDE
    where  NCOM in (select NCOM from DETAIL where NPRO = ''CS464''))'
);

insert into EXERCISE values(
   'Q02-14',
   'CLICOM.db',
   'sub-query',2,4,
   'Produits en sapin commands',
   'Quels sont numros des produits en sapin qui font l''objet d''une commande ?',
   'select NPRO from PRODUIT where LIBELLE like ''%SAPIN%'' and NPRO in (select NPRO from DETAIL)'
);

insert into EXERCISE values(
   'Q02-15',
   'CLICOM.db',
   'sub-query',2,4,
   'Combien de commandes de produits en acier ?',
   'Combien y a-t-il de commandes spcifiant un (ou plusieurs) produit(s) en acier ?',
   'select count(*) from COMMANDE where  NCOM 
    in (select NCOM from DETAIL where NPRO
    in (select NPRO from PRODUIT where LIBELLE like ''%ACIER%''))'
);

insert into EXERCISE values(
   'Q02-16',
   'CLICOM.db',
   'sub-query',3,5,
   'Clients qui n''ont pas commmand des produits en sapin',
   'Afficher le numro et le nom des clients qui n''ont pas command de produits en sapin.',
   'select NCLI,NOM from CLIENT where NCLI not in (select NCLI
    from COMMANDE where NCOM in (select NCOM from DETAIL where NPRO in
    (select NPRO from PRODUIT where LIBELLE like ''%SAPIN%'')))'
);

insert into EXERCISE values(
   'Q02-17',
   'CLICOM.db',
   'sub-query',3,5,
   'Produits non commands en 2015',
   'Quels sont les produits (numro et libell) qui n''ont pas t commands en 2015 ?',
   'select NPRO, LIBELLE from PRODUIT where NPRO
    not in (select NPRO from DETAIL where  NCOM 
    in (select NCOM from COMMANDE where DATECOM like ''%2015%''))'
);

insert into EXERCISE values(
   'Q02-18',
   'CLICOM.db',
   'sub-query',3,4,
   'Localits sans commande',
   'Rechercher les localits dont aucun client n''a pass de commande.',
   'select distinct LOCALITE from CLIENT where LOCALITE
    not in (select LOCALITE from CLIENT C where exists 
    (select * from COMMANDE where  NCLI = C.NCLI))'
);

insert into EXERCISE values(
   'Q02-19',
   'CLICOM.db',
   'sub-query',4,6,
   'Localits dont tous les clients ont command',
   'Rechercher les localits dont TOUS les clients ont pass au moins une commande.',
   'select distinct LOCALITE from CLIENT C where not exists 
    (select * from CLIENT where LOCALITE = C.LOCALITE and
    NCLI not in (select NCLI from COMMANDE))'
);


-- =========================== 3. JOIN ============================== --

insert into EXERCISE values(
   'Q03-01',
   'CLICOM.db',
   'join',1,3,
   'Commandes compltes des informations sur leurs clients',
   'Afficher les informations sur les commandes compltes des informations sur leurs clients.',
   'select NCOM,CLIENT.NCLI,DATECOM,NOM,LOCALITE from COMMANDE, CLIENT where COMMANDE.NCLI = CLIENT.NCLI'
);

insert into EXERCISE values(
   'Q03-02',
   'CLICOM.db',
   'join',1,3,
   'Dtails complts des infos sur leurs commandes et leurs clients',
   'Afficher les informations sur les dtails compltes de celles de leurs commandes et leurs clients.',
   'select CLIENT.NCLI,NOM,DATECOM,NPRO,QCOM from   CLIENT,COMMANDE,DETAIL where  CLIENT.NCLI = COMMANDE.NCLI and COMMANDE.NCOM = DETAIL.NCOM'
);

insert into EXERCISE values(
   'Q03-03',
   'CLICOM.db',
   'join',2,4,
   'Commandes antrieures  une date de clients d''une catgorie',
   'Afficher les informations sur les commandes antrieures au 31 dcembre 2015 de clients de catgorie C1, compltes des informations sur leurs clients.',
   'select NCOM,CLIENT.NCLI,DATECOM,NOM,ADRESSE from COMMANDE, CLIENT where COMMANDE.NCLI = CLIENT.NCLI and CAT = ''C1'' and DATECOM < ''2015-12-31'''
);

insert into EXERCISE values(
   'Q03-04',
   'CLICOM.db',
   'join',4,5,
   'Commandes compltes des informations sur leurs clients + clients sans commande',
   'Afficher les informations sur les commandes compltes des informations sur leurs clients. Y ajouter une ligne par client qui n''a pas pass de commande. Exprimer la solution sous la forme d''une union de deux requtes simples.',
   'select NCOM,CLIENT.NCLI as NCLI,DATECOM,NOM,LOCALITE from COMMANDE, CLIENT where COMMANDE.NCLI = CLIENT.NCLI union select null as NCOM,NCLI,null as DATECOM,NOM,LOCALITE from CLIENT where not exists (select * from COMMANDE where NCLI = CLIENT.NCLI) order by NCLI,NCOM'
);

insert into EXERCISE values(
   'Q03-05',
   'CLICOM.db',
   'join',3,5,
   'Commandes compltes des informations sur leurs clients + clients sans commande (jointure externe)',
   'Afficher les informations sur les commandes compltes des informations sur leurs clients. Y ajouter une ligne par client qui n''a pas pass de commande. Exprimer la mme requte sous la forme d''une jointure externe.',
   'select NCOM,C.NCLI,DATECOM,NOM,LOCALITE from CLIENT C left outer join COMMANDE M on (M.NCLI = C.NCLI) order by C.NCLI,NCOM'
);

insert into EXERCISE values(
   'Q03-06',
   'CLICOM.db',
   'join',2,3,
   'Chaque commande associe  chaque client',
   'Crer un tableau dans lequel chaque commande est associe  chaque client (mme ceux qui ne sont pas le sien)',
   'select NCOM,COMMANDE.NCLI,CLIENT.NCLI,DATECOM,NOM,ADRESSE from COMMANDE,CLIENT'
);

insert into EXERCISE values(
   'Q03-07',
   'CLICOM.db',
   'join',3,4,
   'Chaque localit associe  chaque produit',
   'Crer un tableau qui associe  chaque localit tous les produits, qu''ils y soient commands ou non.',
   'select distinct LOCALITE, NPRO from CLIENT,PRODUIT order by LOCALITE,NPRO'
);

insert into EXERCISE values(
   'Q03-08',
   'CLICOM.db',
   'join',3,4,
   'Localit et tous ses produits',
   'Crer un tableau qui associe  chaque localit tous les produits qui y sont commands',
   'select distinct LOCALITE,NPRO from CLIENT C,COMMANDE M,DETAIL D where  C.NCLI=M.NCLI and M.NCOM=D.NCOM order by LOCALITE,NPRO'
);

insert into EXERCISE values(
   'Q03-09',
   'CLICOM.db',
   'join',4,5,
   'Localit et tous les produits qui n''y sont pas commands',
   'Ceci nous permet d''associer  chaque localit tous les produits qui N''Y SONT PAS commands.',
   'select LOCALITE, NPRO from CLIENT, PRODUIT except select LOCALITE,NPRO from CLIENT C,COMMANDE M,DETAIL D where C.NCLI=M.NCLI and M.NCOM=D.NCOM order by LOCALITE,NPRO'
);

insert into EXERCISE values(
   'Q03-10',
   'CLICOM.db',
   'join',1,3,
   'Jointure "natural join"',
   'Exprimer la requte suivante  l''aide de l''oprateur "natural join":
   \nselect NCLI,NOM,NCOM,DATECOM \nfrom CLIENT C, COMMANDE M where C.NCLI = M.NCOM',
   'select * from CLIENT natural join COMMANDE'
);

insert into EXERCISE values(
   'Q03-11',
   'CLICOM.db',
   'join',1,3,
   'Jointure "inner join"',
   'Exprimer la requte suivante  l''aide de l''oprateur "inner join":
   \nselect NCLI,NOM,NCOM,DATECOM \nfrom CLIENT C, COMMANDE M where C.NCLI = M.NCOM',
   'select * from CLIENT inner join COMMANDE using (NCLI)'
);

insert into EXERCISE values(
   'Q03-12',
   'CLICOM.db',
   'join',1,3,
   'Jointure "join"',
   'Exprimer la requte suivante  l''aide de l''oprateur "join":
   \nselect NCLI,NOM,NCOM,DATECOM \nfrom CLIENT C, COMMANDE M where C.NCLI = M.NCOM',
   'select * from CLIENT C join COMMANDE M on (C.NCLI = M.NCLI)'
);

insert into EXERCISE values(
   'Q03-13',
   'CLICOM.db',
   'join',2,5,
   'Utilisation operateurs "join" multiples',
   'Exprimer  l''aide d''oprateurs "join" la requte suivante:
    \nselect *
    \nfrom   CLIENT C,COMMANDE M, DETAIL D,PRODUIT P
    \nwhere  C.NCLI = M.NCLI
    \nand    M.NCOM = D.NCOM
    \nand    D.NPRO = P.NPRO',
   'select * from CLIENT C join COMMANDE M on (C.NCLI = M.NCLI) join DETAIL D on (M.NCOM = D.NCOM) join PRODUIT P on (D.NPRO = P.NPRO)'
);

insert into EXERCISE values(
   'Q03-14',
   'CLICOM.db',
   'join',2,3,
   'Commandes des clients d''une localit par jointure',
   'Exprimer, sous forme de jointure, la recherche des commandes passes par des clients de Poitiers.',
   'select NCOM,DATECOM from COMMANDE, CLIENT where COMMANDE.NCLI = CLIENT.NCLI and LOCALITE = ''Poitiers'''
);

insert into EXERCISE values(
   'Q03-15',
   'CLICOM.db',
   'join',4,5,
   'Commandes spcifiant une quantit infrieure  celle d''une autre commande',
   'Extraire,  l''aide de jointures, la liste des commandes qui spcifient PA60 en quantit moindre que la commande 30182',
   'select distinct M.NCOM, DATECOM, NCLI from COMMANDE M, DETAIL D1, DETAIL D2 where M.NCOM = D1.NCOM and D1.NPRO = ''PA60'' and D2.NCOM = ''30182'' and D2.NPRO = ''PA60'' and D1.QCOM < D2.QCOM'
);

insert into EXERCISE values(
   'Q03-16',
   'CLICOM.db',
   'join',3,4,
   'Commandes d''autres produits que PA60',
   'Extraire,  l''aide de jointures, la liste des commandes qui spcifient au moins un produit diffrent de PA60.',
   'select distinct COMMANDE.NCOM, DATECOM, NCLI from COMMANDE, DETAIL where COMMANDE.NCOM <> DETAIL.NCOM and NPRO = ''PA60'''
);

insert into EXERCISE values(
   'Q03-17',
   'CLICOM.db',
   'join',3,4,
   'Clients qui n''ont pas pass de commande',
   'Rdiger une requte qui recherche les clients qui n''ont pas pass de commande. Cette requte utilisera une jointure externe plutt qu''une sous-requte',
   'select C.NCLI,NOM from CLIENT C left outer join COMMANDE M on (C.NCLI = M.NCLI) where  M.NCOM is null'
);

insert into EXERCISE values(
   'Q03-18',
   'CLICOM.db',
   'join',3,4,
   'Montant de chaque dtail',
   'Calculer le montant de chaque dtail.',
   'select NCOM, D.NPRO, QCOM*PRIX as Montant from DETAIL D, PRODUIT P where D.NPRO = P.NPRO'
);

insert into EXERCISE values(
   'Q03-19',
   'CLICOM.db',
   'join',3,4,
   'Montant d''une commande',
   'Quel est le montant de la commande 30184 ?',
   'select sum(QCOM*PRIX) as Montant from  DETAIL D, PRODUIT P where  D.NCOM = ''30184'' and D.NPRO = P.NPRO'
);

insert into EXERCISE values(
   'Q03-20',
   'OFFRE.db',
   'join',2,4,
   'Prix de chaque produit dans chaque ville',
   'Produire un tableau indiquant  quel prix chaque produit est vendu dans chaque ville.',
   'select distinct PRODUIT,VILLE,PRIX from VENTE V, IMPLANTATION I where V.CHAINE = I.CHAINE order by PRODUIT,VILLE'
);

insert into EXERCISE values(
   'Q03-21',
   'CLICOM-2.db',
   'join',3,5,
   'Code de COMPTE de chaque client',
   'Associer  chaque client de catgorie C1 le code CODE_CPT selon cette nouvelle table.',
   'select NCLI, NOM, CODE_CPT from CLIENT, CLASSE_CPT where CAT = ''C1'' and COMPTE >= MIN_CPT and COMPTE < MAX_CPT order by NCLI'
);

insert into EXERCISE values(
   'Q03-22',
   'CLICOM.db',
   'join',3,4,
   'Montant des dtails d''un client',
   'Calculer le montant de chaque dtail de commande du client C400',
   'select D.NCOM, P.NPRO, QCOM*PRIX as MONTANT from COMMANDE M, DETAIL D, PRODUIT P where D.NCOM = M.NCOM and D.NPRO = P.NPRO and NCLI = ''C400'''
);

insert into EXERCISE values(
   'Q03-23',
   'CLICOM.db',
   'join',3,4,
   'Montant command des produits en sapin',
   'Calculer le montant command des produits en sapin.',
   'select sum(QCOM*PRIX) as MONTANT from DETAIL D,PRODUIT P where D.NPRO = P.NPRO and P.LIBELLE like ''%SAPIN%'''
);

insert into EXERCISE values(
   'Q03-24',
   'CLICOM.db',
   'join',3,4,
   'Commandes spcifiant des produits en acier',
   'Combien y a-t-il de commandes spcifiant un (ou plusieurs) produit(s) en acier ?(exprimer cette requte  l''aide de jointures)',
   'select count(distinct M.NCOM) as Nbre from COMMANDE M, DETAIL D, PRODUIT P where M.NCOM = D.NCOM and D.NPRO = P.NPRO and LIBELLE like ''%ACIER%'''
);

insert into EXERCISE values(
   'Q03-25',
   'CLICOM.db',
   'join',4,6,
   'Montant command par chaque client',
   'Calculer le montant d par CHAQUE client pour l''ensemble de ses commandes. Ne pas oublier les clients qui n''ont pas command.',
   'select NCLI, sum(QCOM*PRIX) as "Montant d" from COMMANDE M, DETAIL D, PRODUIT P where M.NCOM = D.NCOM and D.NPRO = P.NPRO group by NCLI union select NCLI, 0 from CLIENT C where not exists (select * from COMMANDE where NCLI = C.NCLI)'
);

insert into EXERCISE values(
   'Q03-26',
   'CLICOM.db',
   'join',4,6,
   'Catgories de clients qui ne sont pas reprsentes dans les localits',
   'Indiquer, pour chaque localit, les catgories de clients qui n''y sont pas reprsentes.\nSuggestion : construire l''ensemble de tous les couples (LOCALITE, CAT) possibles et en retirer ceux qui existent dans la base.  viter les valeurs null.',
   'select distinct L.LOCALITE, C.CAT from CLIENT L, CLIENT C where C.CAT is not null and not exists (select * from  CLIENT where LOCALITE = L.LOCALITE and CAT = C.CAT)'
);

if ($encode$) update EXERCISE set RefQuery = b64encode(RefQuery,'std');

commitDB;

