-- ----------------------- --
-- Execute student's query --
-- ----------------------- --

output$mode$ xResult.var;
   write EXERCISE [$xId$] - RESULT OF THE EXECUTION OF YOUR QUERY:;
   if ('xQuery' not like 'select %');
      set SQLdiag = SYNTAX;
   else;
      onError continue;
      --select * from ($xQuery$);
      $xQuery$;
      onError stop;
   endif;
   if ('$SQLdiag$' not in ('OK','NONE'));
      write @S4Your query is invalid. Cause: $SQLdiag$.
            @n@S4Modify your answer.;
   endif;
   execSQL $dir$/_Display-result-and-correct.sql;  
   write @n@n;
outputAppend window;

-- ---------------------------------------------------------
-- USES
-- ---------------------------------------------------------
--  - xId: ExID of the current exercise
--  - xQuery: student's query
--  - xResult: current contents of the result area
--  - texth1, texth2, textw
--  - mode: open/append mode of result area
-- ---------------------------------------------------------
-- RETURNS
-- ---------------------------------------------------------
--  - xResult: new contents of the result area
-- ---------------------------------------------------------
