
set sourceDir = $scriptDirectory$/Case-Studies/Case_SQL_Interpreters;

outputAppend result.var;
set Query, result, log = ,,;
set S,Q,P,H = 0,1,1,0;
while (True);
   askCombo [/bInteractive SQL interpreter. Enter an SQL query then click on OK.]
            [selectMany-u S = Save history on exit]
           |[askText-u Query = [/w1/y8/bMy SQL query]]
           |[selectMany-u Q,P,H = Show query||Preserve history||Show help]
           |[showText result = [/w0/y24/bThe result of my query]];
      if ('$DIALOGbutton$' = 'Cancel') exit;
   if ($S$) set P = 1;
   if (item('Query',1,' ') = 'select') function Query = LStr:PrettyPrint {$Query$};
   if (not $P$) set result = ;
   if ($Q$) write-ab $Query$;
   onError continue;
      $Query$;
      if ($Error$) execSQL $sourceDir$/__SQL-ErrorProcessing.sql;
   onError stop;
   if ($H$) displayHelp $sourceDir$/SQL-Interpreter.tuto;
   if (not $H$) closeHelp;
endwhile;

if ($S$);
   compute timeStamp = '$date$'||'_'||substr(replace('$time$',':','-'),1,8);
   outputOpen $fileDirectory$/SQL-Save-$timeStamp$.txt;
   write $result$;
endif;

outputAppend window;



