-- ---------------------------------------- --
-- Consulting a table (proto version)       --
-- ---------------------------------------- --

ask key,op,val = Property:[($fields$)]|operation:[(=,<,>,<=,>=,<>,includes)]|value:;
if ('$DIALOGbutton$' = 'Cancel') return;

if ('$op$' in ('=','<','>','<=','>=','<>'))
   set condition = lower($table$.$key$) $op$ lower('val');
if ('$op$' = 'includes')
   set condition = lower($table$.$key$) like '%'||lower('val')||'%';

compute empty = repeat(''''',',itemLen('$fields$',','));

outputOpen result.var;
select $fields$,RID as Reader,BID as Book,BorrowDate,ReturnDate from
 (select $fields$,'' as RID,'' as BID,'' as BorrowDate,'' as ReturnDate,$table$ID||'-0' as Sort
  from   $table$
  where  $condition$
    union
  select $empty$ B.ReaderID as RID,B.BookID as BID,BorrowDate,ReturnDate,B.$table$ID||'-1' as Sort
  from   BORROW B, $table$
  where  B.$table$ID = $table$.$table$ID and $condition$)
order by Sort,ReturnDate;
outputAppend window;

showText result = [/w0/x120/y20];
