-- ---------------------------------------- --
-- CREATE LIBRARY database (proto version)  --
-- ---------------------------------------- --

parameter commitmode  = autocommit;

openDB LIBRARY-proto.db;
set oper = 1;
while (True);
  selectOne-u oper = [/b@S20SELECT A FUNCTION] 
                     {BORROWING}|Borrow|Return
                   ||{READERS}|New|Modify|Consult
                   ||{BOOKS}|New|Consult;
  if ('$DIALOGbutton$' = 'Cancel') exit;
  
  if ($oper$ = 1) execSQL $sourceDir$/_LIB-BORROWING-BORROW.sql;
  if ($oper$ = 2) execSQL $sourceDir$/_LIB-BORROWING-RETURN.sql;
  if ($oper$ = 3) execSQL $sourceDir$/_LIB-READER-NEW.sql;
  if ($oper$ = 4) execSQL $sourceDir$/_LIB-READER-MODIFY.sql;
  if ($oper$ = 5) execSQL $sourceDir$/_LIB-READER-CONSULT.sql;
  if ($oper$ = 6) execSQL $sourceDir$/_LIB-BOOK-NEW.sql;
  if ($oper$ = 7) execSQL $sourceDir$/_LIB-BOOK-CONSULT.sql;
endwhile;
