write-b -- ========================================================== --;
write   -- QUERYING CURRENT STATES                                    --;
write   -- Applicable to valid and transaction databases              --;
write-a -- ========================================================== --;


openDB TDB.db;

-- Identify transaction vs valid time data --
-- --------------------------------------- --

extract N = select count(*) from H_EMPLOYEE;
if ($N$ > 0);
   extract T = select typeof(start) from H_EMPLOYEE limit 1;
   if ('$T$' = 'int')  set future = 999999;
   if ('$T$' = 'char') set future = '9999-12-31';
else;
   showMessage Database empty.@nOperation aborted.;
   closeDB;
   return;
endif;

write-b -- What is the current state of employee M158? (from EMPLOYEE) --;
select CODE,NAME,SALARY,CITY,PROJECT
from   EMPLOYEE
where  CODE = 'M158';

write-b -- What is the current state of employee M158? (from H_EMPLOYEE) --;
select CODE,NAME,SALARY,CITY,PROJECT
from   H_EMPLOYEE
where  CODE = 'M158' and end = $future$;

write-b -- Show the current project(s) with the highest budget --;
select distinct TITLE,BUDGET
from   PROJECT
where  BUDGET = (select max(BUDGET) from PROJECT);

closeDB;

write-b End of script;

return;

