-- Create table NODE_A                                 --
-- --------------------------------------------------- --

-- First move nodes not involved in circuits --
insert into NODE_A
select NodeID,NodeName from NODE
where  NodeID not in (select Node from SUPER_CIRCUIT);

-- Then move super circuit nodes --
insert into NODE_A
select distinct CircuitID,CircuitID from SUPER_CIRCUIT;

-- Create table LINK_A                                 --
-- --------------------------------------------------- --
insert into LINK_A
select distinct L.LinkID,T1.Substitute,T2.Substitute,L.Opt
from   TRANSLATION T1, LINK L, TRANSLATION T2
where  L.FromNode = T1.Source and L.ToNode = T2.Source
and    T1.Substitute <> T2.Substitute
and    L.LinkID not in (select LinkID from LINK_UPDATE);
