-- --------------------------------- --
-- Simulation of an array of numbers --
-- --------------------------------- --

set size = 50;

-- creating and initializing the array
for I = [1,$size$] compute SQUARE[$I$] = $I$ * $I$;

-- Querying the array
while (True);
   ask I = [Enter a number in [1,$size$] or Cancel to exit] Number;
      if ('$I$' = '' or '$DIALOGbutton$' = 'Cancel') exit;
      if (not isNumeric('$I$') or
          $I$ not between 1 and $size$) next;
   showMessage The square of $I$ is $SQUARE[$I$]$;
endwhile;

-- creating and initializing the array
set SQUARE = 1;
for I = [2,$size$]
   compute SQUARE = '$SQUARE$'||','||cast($I$*$I$ as char);
-- Querying the array
while (True);
   ask I = [Enter a number in [1,$size$] or Cancel to exit] Number;
      if ('$I$' = '' or '$DIALOGbutton$' = 'Cancel') exit;
      if (not isNumeric('$I$') or
          $I$ not between 1 and $size$) next;
   compute sq = item('$SQUARE$',$I$,',');
   showMessage The square of $I$ is $sq$;
endwhile;

write-b  End of script;
