-- Experimenting with variable delimiters

set A = 123;
set B = 45;
set C = 6.78;

write [1] A + B / C;

write [2] $A$ + $B$ / $C$;

parameter delimiters = [ ];
write [3] [A] + [B] / [C];

parameter delimiters = ';
write [4] 'A + 'B / 'C;

parameter delimiters = :;
write [5] :A + :B / :C;

parameter delimiters = value-of( );
write [6] value-of(A) + value-of(B) / value-of(C);

parameter delimiters = default;
