-- Double loop
-- Listing customers with their orders

openDB ORDERS.db;

for cid,cit = [select CustID,City from CUSTOMER 
               where CustID in (select CustID from CUSTORDER)];
   write-b Customer $cid$ from $cit$;
   for oid,dat,am = [select O.OrdID,DateOrd,sum(Qord*Price)
                     from  CUSTORDER O,DETAIL D,PRODUCT P
                     where CustID = '$cid$'
                     and   D.OrdID = O.OrdID
                     and   D.ProdID = P.ProdID
                     group by O.OrdID,DateOrd];
       write @t placed order $oid$ on $dat$ for $am$ ;
   endfor;
endfor;

closeDB;
