set csv-header = 1;
set csv-separator = ;;
set csv-maxerrornbr = 10;

selectOne data = [/bSelect a test case]
                   Loading CSV data in new target table |
                   Loading CSV data in existing target table;
if ($data$ = 1) goto Case1;
if ($data$ = 2) goto Case2;
goto Exit;

label Case1;
  openDB ORDERS.db;
  import CUSTOMER_0 from $fileDirectory$/CUSTOMER-0.csv;
  write ImportErrors = $ImportErrors$, SQLdiag: $SQLdiag$;
  select * from CUSTOMER_0;
  drop table CUSTOMER_0;
  closeDB;
  goto Exit;

label Case2;
  openDB ORDERS.db;
  create temp table CUSTOMER_0 (
         CustID  char(10) not null,
         Name    char(32) not null,
         Address char(60) not null,
         City    char(30) not null,
         Cat     char(2),
         Account decimal(9,2) not null,
         constraint PKCUST primary key (CustID));

  import CUSTOMER_0 from Files/CUSTOMER-0.csv;
  write ImportErrors = $ImportErrors$, SQLdiag: $SQLdiag$;
  select * from CUSTOMER_0;
  closeDB;

label Exit;
  return;

-- Test data for "Files/CUSTOMER.csv"
-- ----------------------------------
NCLI,NOM,ADRESSE,LOCALITE,CAT,COMPTE
X995,O'Hara,"27, Napolon Street" ,London,,1234
X996,O'Hara,"27, ""Napolon"" street",London,,1234
X997,O'Hara,27; Napolon Street,London,,1234
X998,O'Hara,"27, Napolon Street",London,,1234
"X999","O'Hara","27, Napolon Street","London","","1234"