openDB STAFF.db;

create temp table PATHS (Head char(4),Sub char(4),Path char(256));

create temp trigger PATHS_INS after insert on PATHS
for each row begin
    insert into PATHS
    select new.Head,PID,new.Path||PID||'.'
    from   PERSON
    where  Manager = new.Sub; end;

insert into PATHS select PID,PID,'.'||PID ||'.' from PERSON;

select Head,'' as "Nbr sub",Sub,Path
from   PATHS where Head <> Sub
   union
select Head,count(*) as "Nbr sub",'' as Sub,'' as Path
from   PATHS where Head <> Sub
group by Head
order by Head,Path;

closeDB;
