
openDB STAFF.db;

create temp table PATHS (Dist integer,PID char(4),
                         Name char(24),Manager char(4),
                         Path char(256));

ask P = PersonID:[!select PID from PERSON];

create temp trigger PATHS_INS after insert on PATHS
for each row begin
    insert into PATHS
    select new.Dist+1,PID,Name,Manager,new.Path||PID||'.'
    from   PERSON 
    where  new.PID = Manager; end;

insert into PATHS select 0,PID,Name,Manager,'.'||PID||'.'
                  from   PERSON where PID = '$P$';

select substr('------',1,2*Dist)||PID||' ['||Name||']' as Person,Path
from   PATHS order by Path;

closeDB;
