write-b -- --------------------------------------------------------------------------- --;
write   -- Test suite for SQLfast-Tutorials                                            --;
write   -- (This script executes all the scripts of the chapters of SQLfast-Tutorials) --;
write   -- --------------------------------------------------------------------------- --;

set testdir = $scriptDirectory$/SQLfast-Tutorials;

pause Start Chapter 1;
  if ('$DIALOGbutton$' = '$buttonNO$') goto Chapter-02;
write-b -- Chapter 1 -- INTRODUCTION --;
execSQL $testdir$/Chapter-01/ORDERS-create-insert.sql;
execSQL $testdir$/Chapter-01/ORDERS-write-all.sql;

label Chapter-02;
pause Start Chapter 2;
  if ('$DIALOGbutton$' = '$buttonNO$') goto Chapter-03;
write-b -- Chapter 2 -- BASIC PROGRAMMING --;
execSQL $testdir$/Chapter-02/Chapter-02-01.sql;
execSQL $testdir$/Chapter-02/Chapter-02-02.sql;
execSQL $testdir$/Chapter-02/Chapter-02-03.sql;
execSQL $testdir$/Chapter-02/Chapter-02-04.sql;

label Chapter-03;
pause Start Chapter 3;
  if ('$DIALOGbutton$' = '$buttonNO$') goto Chapter-04;
write-b -- Chapter 3 -- CREATING A DATABASE --;
execSQL $testdir$/Chapter-03/ORDERS-create-insert.sql;
execSQL $testdir$/Chapter-03/ORDERS-write-all.sql;
execSQL $testdir$/Chapter-03/Chapter-03-01.sql;
execSQL $testdir$/Chapter-03/Chapter-03-02.sql;
execSQL $testdir$/Chapter-03/Chapter-03-03.sql;

label Chapter-04;
pause Start Chapter 4;
  if ('$DIALOGbutton$' = '$buttonNO$') goto Chapter-06;
write-b -- Chapter 4 -- UPDATING DATA --;
execSQL $testdir$/Chapter-04/Chapter-04-01.sql;
execSQL $testdir$/Chapter-04/Chapter-04-02.sql;
execSQL $testdir$/Chapter-04/Chapter-04-03.sql;
execSQL $testdir$/Chapter-04/Chapter-04-04.sql;
execSQL $testdir$/Chapter-04/Chapter-04-05.sql;
execSQL $testdir$/Chapter-04/Chapter-04-06.sql;
execSQL $testdir$/Chapter-04/Chapter-04-06bis.sql;
execSQL $testdir$/Chapter-04/Chapter-04-07.sql;

label Chapter-06;
pause Start Chapter 6;
  if ('$DIALOGbutton$' = '$buttonNO$') goto Chapter-07;
write-b -- Chapter 6 -- MORE ON VARIABLES --;
execSQL $testdir$/Chapter-06/Chapter-06-01.sql;
execSQL $testdir$/Chapter-06/Chapter-06-02.sql;
execSQL $testdir$/Chapter-06/Chapter-06-03.sql;
execSQL $testdir$/Chapter-06/Chapter-06-03bis.sql;
execSQL $testdir$/Chapter-06/Chapter-06-04.sql;
execSQL $testdir$/Chapter-06/Chapter-06-05.sql;
execSQL $testdir$/Chapter-06/Chapter-06-05bis.sql;
execSQL $testdir$/Chapter-06/Chapter-06-06.sql;
execSQL $testdir$/Chapter-06/Chapter-06-07.sql;
execSQL $testdir$/Chapter-06/Chapter-06-08.sql;
execSQL $testdir$/Chapter-06/Chapter-06-09.sql;
execSQL $testdir$/Chapter-06/Chapter-06-10.sql;

label Chapter-07;
pause Start Chapter 7;
  if ('$DIALOGbutton$' = '$buttonNO$') goto Chapter-08;
write-b -- Chapter 7 -- TAKING DECISIONS --;
execSQL $testdir$/Chapter-07/Chapter-07-01.sql;
execSQL $testdir$/Chapter-07/Chapter-07-02.sql;
execSQL $testdir$/Chapter-07/Chapter-07-03.sql;
execSQL $testdir$/Chapter-07/Chapter-07-03bis.sql;
execSQL $testdir$/Chapter-07/Chapter-07-03ter.sql;
execSQL $testdir$/Chapter-07/Chapter-07-04.sql;
execSQL $testdir$/Chapter-07/Chapter-07-05.sql;
execSQL $testdir$/Chapter-07/Chapter-07-06.sql;
execSQL $testdir$/Chapter-07/Chapter-07-07.sql;

label Chapter-08;
pause Start Chapter 8;
  if ('$DIALOGbutton$' = '$buttonNO$') goto Chapter-09;
write-b -- Chapter 8 -- READING DATA --;
execSQL $testdir$/Chapter-08/Chapter-08-01.sql;
execSQL $testdir$/Chapter-08/Chapter-08-02.sql;
execSQL $testdir$/Chapter-08/Chapter-08-01.sql;
execSQL $testdir$/Chapter-08/Chapter-08-04.sql;
execSQL $testdir$/Chapter-08/Chapter-08-05.sql;
execSQL $testdir$/Chapter-08/Chapter-08-06.sql;

label Chapter-09;
pause Start Chapter 9;
  if ('$DIALOGbutton$' = '$buttonNO$') goto Chapter-10;
write-b -- Chapter 9 -- MORE ON LOOPS --;
execSQL $testdir$/Chapter-09/Chapter-09-01.sql;
execSQL $testdir$/Chapter-09/Chapter-09-02.sql;
execSQL $testdir$/Chapter-09/Chapter-09-03.sql;
execSQL $testdir$/Chapter-09/Chapter-09-04.sql;
execSQL $testdir$/Chapter-09/Chapter-09-05.sql;
execSQL $testdir$/Chapter-09/Chapter-09-06.sql;
execSQL $testdir$/Chapter-09/Chapter-09-07.sql;
execSQL $testdir$/Chapter-09/Chapter-09-08.sql;
execSQL $testdir$/Chapter-09/Chapter-09-09.sql;
execSQL $testdir$/Chapter-09/Chapter-09-10.sql;
execSQL $testdir$/Chapter-09/Chapter-09-11.sql;
execSQL $testdir$/Chapter-09/Summary of the use of #.sql;

label Chapter-10;
pause Start Chapter 10;
  if ('$DIALOGbutton$' = '$buttonNO$') goto Chapter-11;
write-b -- Chapter 10 -- EXPRESSIONS --;
execSQL $testdir$/Chapter-10/Expressions-Numeric.sql;
execSQL $testdir$/Chapter-10/Expressions-Character.sql;
execSQL $testdir$/Chapter-10/Expressions-Logical.sql;
execSQL $testdir$/Chapter-10/Expressions-General.sql;
execSQL $testdir$/Chapter-10/Expressions-Time.sql;
execSQL $testdir$/Chapter-10/Expressions-Lists.sql;

label Chapter-11;
pause Start Chapter 11;
  if ('$DIALOGbutton$' = '$buttonNO$') goto Chapter-12;
write-b -- Chapter 11 -- OUTPUT CHANNELS --;
execSQL $testdir$/Chapter-11/Output-channels.sql;
execSQL $testdir$/Chapter-11/Writing-in-a-file.sql;

label Chapter-12;
pause Start Chapter 12;
  if ('$DIALOGbutton$' = '$buttonNO$') goto Chapter-13;
write-b -- Chapter 12 -- DIALOGUES --;
execSQL $testdir$/Chapter-12/Chapter-12-01.sql;
execSQL $testdir$/Chapter-12/Chapter-12-02.sql;
execSQL $testdir$/Chapter-12/Chapter-12-01.sql;
execSQL $testdir$/Chapter-12/Chapter-12-04.sql;
execSQL $testdir$/Chapter-12/Chapter-12-05.sql;
execSQL $testdir$/Chapter-12/Chapter-12-06.sql;
execSQL $testdir$/Chapter-12/Chapter-12-07.sql;
execSQL $testdir$/Chapter-12/Chapter-12-07bis.sql;
execSQL $testdir$/Chapter-12/Chapter-12-08.sql;
execSQL $testdir$/Chapter-12/Chapter-12-09.sql;
execSQL $testdir$/Chapter-12/Chapter-12-10.sql;
execSQL $testdir$/Chapter-12/Chapter-12-11.sql;

label Chapter-13;
pause Start Chapter 13;
  if ('$DIALOGbutton$' = '$buttonNO$') goto Chapter-14;
write-b -- Chapter 13 -- DISPLAYING DATA --;
execSQL $testdir$/Chapter-13/Chapter-13-01.sql;
execSQL $testdir$/Chapter-13/Chapter-13-02.sql;
execSQL $testdir$/Chapter-13/Chapter-13-03.sql;
execSQL $testdir$/Chapter-13/Chapter-13-04.sql;
execSQL $testdir$/Chapter-13/Chapter-13-Styles.sql;

label Chapter-14;
pause Start Chapter 14;
  if ('$DIALOGbutton$' = '$buttonNO$') goto Chapter-15;
write-b -- Chapter 14 -- ADVANCED DIALOGUES --;
execSQL $testdir$/Chapter-14/Chapter-14-01.sql;
execSQL $testdir$/Chapter-14/Chapter-14-02.sql;
execSQL $testdir$/Chapter-14/Chapter-14-03.sql;
execSQL $testdir$/Chapter-14/Chapter-14-04.sql;
execSQL $testdir$/Chapter-14/Chapter-14-05.sql;
execSQL $testdir$/Chapter-14/Chapter-14-06.sql;
execSQL $testdir$/Chapter-14/Chapter-14-07.sql;
execSQL $testdir$/Chapter-14/Chapter-14-08.sql;
execSQL $testdir$/Chapter-14/Chapter-14-09.sql;
execSQL $testdir$/Chapter-14/Chapter-14-10.sql;
execSQL $testdir$/Chapter-14/Chapter-14-11.sql;
execSQL $testdir$/Chapter-14/Chapter-14-12.sql;
execSQL $testdir$/Chapter-14/Chapter-14-13.sql;
execSQL $testdir$/Chapter-14/Chapter-14-14.sql;
execSQL $testdir$/Chapter-14/Chapter-14-15.sql;

label Chapter-15;
pause Start Chapter 15;
  if ('$DIALOGbutton$' = '$buttonNO$') goto Chapter-16;
write-b -- Chapter 15 -- LARGE DATA OBJECTS --;
execSQL $testdir$/Chapter-15/Chapter-15-01.sql;
execSQL $testdir$/Chapter-15/Chapter-15-02.sql;
execSQL $testdir$/Chapter-15/Chapter-15-03.sql;
execSQL $testdir$/Chapter-15/Chapter-15-04.sql;
execSQL $testdir$/Chapter-15/Chapter-15-05.sql;
execSQL $testdir$/Chapter-15/Chapter-15-06.sql;
execSQL $testdir$/Chapter-15/Chapter-15-07.sql;
execSQL $testdir$/Chapter-15/Chapter-15-08.sql;
execSQL $testdir$/Chapter-15/Chapter-15-09.sql;
execSQL $testdir$/Chapter-15/Chapter-15-10.sql;
execSQL $testdir$/Chapter-15/Chapter-15-11.sql;

label Chapter-16;
pause Start Chapter 16;
  if ('$DIALOGbutton$' = '$buttonNO$') goto Chapter-17;
write-b -- Chapter 16 -- WRITING DATA TABLES 1 --;
execSQL $testdir$/Chapter-16/Generator-for-text.sql;
execSQL $testdir$/Chapter-16/Generator-for-Lists.sql;
execSQL $testdir$/Chapter-16/Generator-for-CSV.sql;
execSQL $testdir$/Chapter-16/Generator-for-KEY-VALUE.sql;

label Chapter-17;
pause Start Chapter 17;
  if ('$DIALOGbutton$' = '$buttonNO$') goto Chapter-18;
write-b -- Chapter 17 -- WRITING DATA TABLES 2 --;
execSQL $testdir$/Chapter-17/Generator-for-TUPLE.sql;
execSQL $testdir$/Chapter-17/Generator-for-SQL.sql;
execSQL $testdir$/Chapter-17/Generator-for-JSON.sql;
execSQL $testdir$/Chapter-17/Generator-for-HTML.sql;
execSQL $testdir$/Chapter-17/Generator-for-XML.sql;
execSQL $testdir$/Chapter-17/Generator-for-LATEX.sql;
execSQL $testdir$/Chapter-17/Generator-for-RTF.sql;

label Chapter-18;
pause Start Chapter 18;
  if ('$DIALOGbutton$' = '$buttonNO$') goto Chapter-19;
write-b -- Chapter 18 -- IMPORTING AND EXPORTING DATA --;
execSQL $testdir$/Chapter-18/CSV-Import.sql;
execSQL $testdir$/Chapter-18/CSV-Dump-and-Reload.sql;
execSQL $testdir$/Chapter-18/DBF-Import.sql;
execSQL $testdir$/Chapter-18/Data-Analysis.sql;

label Chapter-19;
pause Start Chapter 19;
  if ('$DIALOGbutton$' = '$buttonNO$') goto Chapter-20;
write-b -- Chapter 19 -- RECURSIVE PROGRAMMING --;
execSQL $testdir$/Chapter-19/Creating 1000 numbers.sql;
execSQL $testdir$/Chapter-19/CTE-Query.sql;
execSQL $testdir$/Chapter-19/Recursive-Main.sql;
execSQL $testdir$/Chapter-19/FACTORIAL-Main.sql;
execSQL $testdir$/Chapter-19/FACTORIAL-Trigger.sql;
execSQL $testdir$/Chapter-19/FACTORIAL-Loop.sql;
execSQL $testdir$/Chapter-19/FACTORIAL-CTE.sql;
execSQL $testdir$/Chapter-19/STAFF-create.sql;
execSQL $testdir$/Chapter-19/STAFF-Main.sql;
execSQL $testdir$/Chapter-19/STAFF-Triggers-subordinates.sql;
execSQL $testdir$/Chapter-19/STAFF-Triggers-subordinates-paths.sql;
execSQL $testdir$/Chapter-19/STAFF-Triggers-full-hierarchy.sql;
execSQL $testdir$/Chapter-19/STAFF-Triggers-circuits.sql;
execSQL $testdir$/Chapter-19/STAFF-Loop-subordinates.sql;
execSQL $testdir$/Chapter-19/STAFF-Loop-subordinates-paths.sql;
execSQL $testdir$/Chapter-19/STAFF-Loop-full-hierarchy.sql;
execSQL $testdir$/Chapter-19/STAFF-Loop-circuits.sql;
execSQL $testdir$/Chapter-19/STAFF-SQLfast-subordinates-Main.sql;
execSQL $testdir$/Chapter-19/STAFF-CTE-subordinates.sql;
execSQL $testdir$/Chapter-19/STAFF-CTE-subordinates-paths.sql;
execSQL $testdir$/Chapter-19/STAFF-CTE-subordinates-insert.sql;
execSQL $testdir$/Chapter-19/STAFF-CTE-full-hierarchy.sql;
execSQL $testdir$/Chapter-19/STAFF-CTE-circuits.sql;
execSQL $testdir$/Chapter-19/STAFF-Traversal-ordering.sql;

label Chapter-20;
pause Start Chapter 20;
  if ('$DIALOGbutton$' = '$buttonNO$') goto Chapter-22;
write-b -- Chapter 20 -- META DATA --;
execSQL $testdir$/Chapter-20/Create-persistent-dictionary.sql;
execSQL $testdir$/Chapter-20/Summary-Schema.sql;
execSQL $testdir$/Chapter-20/Writing-the-contents-of-a-database.sql;

label Chapter-22;
pause Start Chapter 22;
  if ('$DIALOGbutton$' = '$buttonNO$') goto Chapter-24;
write-b -- Chapter 22 -- EXTENDING SQLfast --;
execSQL $testdir$/Chapter-22/Builtin-function-Test.sql;
execSQL $testdir$/Chapter-22/LStr-Library-Test.sql;

--label Chapter-23;
--pause Start Chapter 23;
--  if ('$DIALOGbutton$' = '$buttonNO$') goto Chapter-24;
--write-b -- Chapter 23 -- TRACING --;
--execSQL $testdir$/Chapter-23/TRACING-CreateDB.sql;
--execSQL $testdir$/Chapter-23/TRACING-Main.sql;
--execSQL $testdir$/Chapter-23/TRACING-Extract-variables.sql;
--execSQL $testdir$/Chapter-23/TRACING-Simple-queries.sql;
--execSQL $testdir$/Chapter-23/TRACING-Compute-variable-flows.sql;
--execSQL $testdir$/Chapter-23/Show-variable-flow.sql;
--execSQL $testdir$/Chapter-23/TRACING-Small script-to-trace-Main-restrict.sql;
--execSQL $testdir$/Chapter-23/TRACING-Small script-to-trace-Main.sql;
--execSQL $testdir$/Chapter-23/TRACING-Main-restrict.sql;
--execSQL $testdir$/Chapter-23/TRACING-Small script-to-trace-Write.sql;
--execSQL $testdir$/Chapter-23/TRACING-Write.sql;

label Chapter-24;
pause Start Chapter 24;
  if ('$DIALOGbutton$' = '$buttonNO$') goto END;
write-b -- Chapter 24 -- SQLfast lists --;
execSQL $testdir$/Chapter-24/SQLfast-List-2.sql;
execSQL $testdir$/Chapter-24/SQLfast-List-3.sql;



label END;

onError continue;
   deleteDB MEASURE.db;
   deleteDB TRACING.db;
   deleteDB IMAGES.db;
onError stop;

write-b -- ------------------------------------ --;
write   -- End of test                          --;
write   -- ------------------------------------ --;
